;ASDesign Compatible Macro
;Name=Cessna 421 Twin Prop-brown, Type=Aircraft, Bitmap=Cessna421B.bmp, \
;FixedLength=11, FixedWidth=13, \
;Latitude, Longitude, Rotation,  Density=0, \
;Visibility=0, Range=5, Elevation=0
;
;Copyright 1998 by Tim Dickens-All Rights Reserved
;
Area( 5 %1  %2 %6 )
IfVarRange(  :  0346  %4  4  )
	PerspectiveCall( :P0 )
	Jump( : )
:P0
	Perspective
mif( %7 )
	RefPoint( 2 :P1  1  %1  %2  E= %7 v1= %5 v2= 50 )
melse
	RefPoint( 7 :P1  1  %1  %2  v1= %5 v2= 50 )
mifend
	SetScaleX( :P1 0 0 7 )
	TransformCall( :cessna  0  392  0  1  0  0  0  %3  0 )
:P1
	Return
:cessna
Call( :underneath )
Call( :402 )
Return

:underneath
Points( 0
0  0  2611
0  1000  2611
0  100  -3057
)
VectorJump( :Westgear a  0  1  2 )
:Eastgear
Call( :st_nosedoor )
Call( :nose_strut )
Call( :nose_gear )
Call( :pt_nosedoor )
Call( :star_door )
Call( :star_gear )
Call( :star_strut )
Call( :port_strut )
Call( :port_gear )
Jump( :port_door )
Return

:Westgear
Call( :port_door )
Call( :port_gear )
Call( :port_strut )
Call( :star_strut )
Call( :star_gear )
Call( :star_door )
Call( :pt_nosedoor )
Call( :nose_gear )
Call( :nose_strut )
Jump( :st_nosedoor )
Return

:402
Points( 0
0  0  2611
0  1000  2611
0  1000  -3057

-2719  0  -568
-2719  2000  -568
2719  2000  -568

-2719  0  783
-2719  2000  783
2719  2000  783
)
VectorJump( :Westside a  0  1  2 )
:Eastside
Call( :star_wing )
Call( :fuselage )
Jump( :port_wing )
Return

:Westside
Call( :port_wing )
Call( :fuselage )
Jump( :star_wing )
Return

:fuselage
VectorJump( :northofwing ai  3  4  5 )
:southofwing
Call( :tail )
Call( :center )
Jump( :nose )
Return

:northofwing
Call( :nose )
Call( :center )
Jump( :tail )
Return

:port_wing
VectorJump( :pt_forward1 a  6  7  8 )
:pt_aft1
Call( :pt_wing )
Jump( :pt_prop )
Return

:pt_forward1
Call( :pt_prop )
Jump( :pt_wing )
Return



:star_wing
VectorJump( :st_forward1 a  6  7  8 )
:st_aft1
Call( :st_wing )
Jump( :st_prop )
Return

:st_forward1
Call( :st_prop )
Jump( :st_wing )
Return


:st_wing
Call( :st_inwing )
Call( :st_outwing )
Call( :st_engine )
Return


:pt_wing
Call( :pt_inwing )
Call( :pt_outwing )
Call( :pt_engine )
Return


:tail
VectorJump(  :left_tail  a  0  1  2 )
:right_tail
Call( :st_tail )
Call( :rear_fuselage )
Jump( :pt_tail )
Return

:left_tail
Call( :pt_tail )
Call( :rear_fuselage )
Jump( :st_tail )
Return

:st_nosedoor
;nose gear door star side
	Points( 1
		92 -123 1321
		92 -154 707
		92 -261 707
		92 -230 1321
	)
	SurfaceColor( 0B f0 )
	ConcavePoly
	Poly( m -32767 0 0 -92.000000   1 2 3 4 )
	ConcavePoly
	Poly( m 32767 0 0 92.000000   1 2 3 4 )
Return

:pt_nosedoor
;nose gear door port
	Points( 1
		-92 -123 1321
		-92 -154 707
		-92 -261 707
		-92 -230 1321
	)
	SurfaceColor( 0B f0 )
	ConcavePoly
	Poly( m -32767 0 0 92.000000   1 2 3 4 )
	ConcavePoly
	Poly( m 32767 0 0 -92.000000   1 2 3 4 )
Return

:star_door
	Points( 1
		1413 -123 -246
		1490 -445 -138
		1475 -384 -353
		1475 -384 -399
		1413 -123 -399
	)
	SurfaceColor( 0B f0 )
	ConcavePoly
	Poly( m -31880 -7573 62 -1347.080020   1 2 3 4 5 )
	ConcavePoly
	Poly( m 31880 7573 -62 1347.078036   1 2 3 4 5 )
Return

:port_door
;port gear door
	Points( 1
		-1413 -123 -246
		-1490 -445 -138
		-1475 -384 -353
		-1475 -384 -399
		-1413 -123 -399
	)
	SurfaceColor( 0B f0 )
	ConcavePoly
	Poly( m -31880 7573 -62 1347.080020   1 2 3 4 5 )
	ConcavePoly
	Poly( m 31880 -7573 62 -1347.078036   1 2 3 4 5 )
Return

:nose_strut
;nose gear strut
	Points( 1
		-15 -138 1290
		-15 -369 1290
		15 -369 1290
		15 -138 1290
		0 -138 1275
		0 -369 1275
		0 -369 1306
		0 -138 1306
		15 -369 1275
		-15 -369 1275
		-15 -369 1306
		15 -369 1306
	)
	SurfaceColor( 02 F0 )
	LineColor( 02 F0 )
	ConcavePoly
	Poly( m 0 0 -32767 -1290.000000   1 2 3 4 )
	ConcavePoly
	Poly( m 0 0 32767 1290.000000   1 2 3 4 )
	ConcavePoly
	Poly( m 0 0 -32767 -1290.000000   5 6 7 8 )
	ConcavePoly
	Poly( m 0 0 32767 1290.000000   5 6 7 8 )
	ConcavePoly
	Poly( m 0 0 -32767 -1290.000000   9 10 11 12 )
	ConcavePoly
	Poly( m 0 0 32767 1290.000000   9 10 11 12 )
Return

:star_strut
;star gear strut
	Points( 1
		1306 -384 -323
		1306 -415 -323
		1229 -415 -323
		1229 -384 -323
		1306 -399 -338
		1306 -399 -307
		1229 -399 -307
		1229 -399 -338
		1244 -399 -338
		1244 -399 -307
		1244 -138 -307
		1244 -138 -338
		1260 -384 -323
		1229 -138 -323
		1260 -138 -323
		1244 -246 -323
		1229 -261 -323
		1060 -138 -323
		1091 -138 -323
	)
	SurfaceColor( 02 F0 )
	LineColor( 02 F0 )
	ConcavePoly
	Poly( m 0 0 32767 -323.000000   1 2 3 4 )
	ConcavePoly
	Poly( m 0 0 -32767 323.000000   1 2 3 4 )
	ConcavePoly
	Poly( m 0 0 32767 -323.000000   5 6 7 8 )
	ConcavePoly
	Poly( m 0 0 -32767 323.000000   5 6 7 8 )
	ConcavePoly
	Poly( m 0 0 32767 -323.000000   9 10 11 12 )
	ConcavePoly
	Poly( m 0 0 -32767 323.000000   9 10 11 12 )
	ConcavePoly
	Poly( m 0 0 32767 -323.000000   13 4 14 15 )
	ConcavePoly
	Poly( m 0 0 -32767 323.000000   13 4 14 15 )
	ConcavePoly
	Poly( m 0 0 32767 -323.000000   16 17 18 19 )
	ConcavePoly
	Poly( m 0 0 -32767 323.000000   16 17 18 19 )
Return

:port_strut
;port gear strut
	Points( 1
		-1306 -384 -323
		-1306 -415 -323
		-1229 -415 -323
		-1229 -384 -323
		-1306 -399 -338
		-1306 -399 -307
		-1229 -399 -307
		-1229 -399 -338
		-1244 -399 -338
		-1244 -399 -307
		-1244 -138 -307
		-1244 -138 -338
		-1260 -384 -323
		-1229 -138 -323
		-1260 -138 -323
		-1244 -246 -323
		-1229 -261 -323
		-1060 -138 -323
		-1091 -138 -323
	)
	SurfaceColor( 02 F0 )
	LineColor( 02 F0 )
	ConcavePoly
	Poly( m 0 0 -32767 323.000000   1 2 3 4 )
	ConcavePoly
	Poly( m 0 0 32767 -323.000000   1 2 3 4 )
	ConcavePoly
	Poly( m 0 0 -32767 323.000000   5 6 7 8 )
	ConcavePoly
	Poly( m 0 0 32767 -323.000000   5 6 7 8 )
	ConcavePoly
	Poly( m 0 0 -32767 323.000000   9 10 11 12 )
	ConcavePoly
	Poly( m 0 0 32767 -323.000000   9 10 11 12 )
	ConcavePoly
	Poly( m 0 0 -32767 323.000000   13 4 14 15 )
	ConcavePoly
	Poly( m 0 0 32767 -323.000000   13 4 14 15 )
	ConcavePoly
	Poly( m 0 0 -32767 323.000000   16 17 18 19 )
	ConcavePoly
	Poly( m 0 0 32767 -323.000000   16 17 18 19 )

Return

:star_gear
Points( 0
1306  -522  -200
1306  -276  -200
1306  -276  -445
1306  -522  -445
)
Bitmap( Cess402b.r8  0  0  0  0 )
BitmapMode( 1 )
Inst_7D
TexPoly( a  0  93 56   1  93 0   2  149 0   3  149 56 )
Inst_7D
TexPoly( ai  0  93 56   1  93 0   2  149 0   3  149 56 )
BitmapMode( 0 )
Return

:port_gear
Points( 0
-1306  -522  -200
-1306  -276  -200
-1306  -276  -445
-1306  -522  -445
)
Bitmap( Cess402b.r8  0  0  0  0 )
BitmapMode( 1 )
Inst_7D
TexPoly( a  0  93 56   1  93 0   2  149 0   3  149 56 )
Inst_7D
TexPoly( ai  0  93 56   1  93 0   2  149 0   3  149 56 )
BitmapMode( 0 )
Return


:nose_gear
Points( 0
0  -553  1382
0  -369  1382
0  -369  1198
0  -553  1198
)
Bitmap( Cess402b.r8  0  0  0  0 )
BitmapMode( 1 )
Inst_7D
TexPoly( a  0  93 56   1  93 0   2  149 0   3  149 56 )
Inst_7D
TexPoly( ai  0  93 56   1  93 0   2  149 0   3  149 56 )
BitmapMode( 0 )
Return



:st_outwing
;star outer wing
	VecPoints( 1
		1490 -108 92   3570 -30927 6317
		3063 31 61   13302 -20618 4211
		3063 61 -568   11156 5 -1328
		1459 -61 -722   351 7 -1992
		1490 -77 -476   3554 -32537 -1552
		1490 0 92   -2301 29313 8667
		3063 108 61   9388 19542 5778
		1490 -46 -476   -2852 32552 -2432
		3063 61 123   11534 -1081 11317
		1490 -61 154   918 -1621 16976
	)

	ShadedColor( 0B f0 )
	ShadedPoly( m 3554 -32537 -1552 264.495529   1 2 3 4 5 )
	ShadedPoly( m -2852 32552 -2432 -136.516129   6 7 3 4 8 )
	ShadedPoly( m -1750 26075 19766 -24.077792   6 7 9 10 )
	ShadedPoly( m 3586 -29318 14186 299.526841   1 2 9 10 )
	ShadedPoly( m 32767 0 0 2749.000000   9 7 3 2 )
Return

:pt_outwing
;port outer wing
	VecPoints( 1
		-1490 -108 92   -3570 -30927 6317
		-3063 31 61   -13302 -20618 4211
		-3063 61 -568   -11156 5 -1328
		-1459 -61 -722   -351 7 -1992
		-1490 -77 -476   -3554 -32537 -1552
		-1490 0 92   2301 29313 8667
		-3063 108 61   -9388 19542 5778
		-1490 -46 -476   2852 32552 -2432
		-3063 61 123   -11534 -1081 11317
		-1490 -61 154   -918 -1621 16976
	)


	ShadedColor( 0B f0 )
	ShadedPoly( m -3554 -32537 -1552 264.493912   1 2 3 4 5 )
	ShadedPoly( m 2852 32552 -2432 -136.512345   6 7 3 4 8 )
	ShadedPoly( m 1750 26075 19766 -24.079958   6 7 9 10 )
	ShadedPoly( m -3586 -29318 14186 299.520676   1 2 9 10 )
	ShadedPoly( m -32767 0 0 2749.000000   9 7 3 2 )
Return


:st_prop
;starboard prop
	Points( 1
		1244 584 845
		1290 522 876
		1260 77 845
		1229 77 845
		1198 522 814
		1690 -169 845
		1628 -184 876
		1244 61 845
		1260 92 845
		1659 -92 814
		814 -169 845
		845 -92 876
		1229 92 845
		891 -184 814
	)
	SurfaceColor( 01 F0 )
	LineColor( 01 F0 )
	Poly( m 0 0 -32767 -845.000000   1 2 3 4 5 )
	Poly( m 0 0 32767 845.000000   1 2 3 4 5 )
	Poly( m 0 0 -32767 -845.000000   6 7 8 9 10 )
	Poly( m 0 0 32767 845.000000   6 7 8 9 10 )
	Poly( m 0 0 -32767 -845.000000   11 12 13 8 14 )
	Poly( m 0 0 32767 845.000000   11 12 13 8 14 )
;star prop hub
	VecPoints( 1
		1244 169 922   -24 28291 13779
		1244 215 783   6 30024 9854
		1147 187 783   -18981 20462 9857
		1180 151 922   -17858 19327 13687
		1106 77 783   -29328 39 9750
		1152 77 922   -27666 19 13543
		1147 -34 783   -18861 -20453 9852
		1180 3 922   -17798 -19323 13684
		1244 -61 783   2 -30069 9971
		1244 -15 922   -26 -28313 13838
		1341 -34 783   18873 -20462 9801
		1309 3 922   17797 -19253 13676
		1382 77 783   29350 40 9677
		1336 77 922   27719 20 13534
		1341 187 783   18999 20489 9742
		1309 151 922   17861 19266 13647
		1244 77 1060   -6 0 17534
	)
	ShadedColor( 0A f0 )
	ShadedPoly( m -8660 30002 9929 105.344890   1 2 3 4 )
	ShadedPoly( m -29302 10922 9785 -729.556200   4 3 5 6 )
	ShadedPoly( m -29355 -10843 9715 -784.162145   6 5 7 8 )
	ShadedPoly( m -8368 -30064 9989 -23.028474   8 7 9 10 )
	ShadedPoly( m 8372 -30075 9953 611.669027   10 9 11 12 )
	ShadedPoly( m 29374 -10850 9650 1443.992920   12 11 13 14 )
	ShadedPoly( m 29326 10931 9705 1494.468001   14 13 15 16 )
	ShadedPoly( m 8673 30047 9779 760.102908   16 15 2 1 )
	ShadedPoly( m -7466 26547 17698 351.460158   17 1 4 )
	ShadedPoly( m -26005 9840 17337 -403.311869   17 4 6 )
	ShadedPoly( m -26005 -9840 17337 -449.558397   17 6 8 )
	ShadedPoly( m -7466 -26547 17698 226.693228   17 8 10 )
	ShadedPoly( m 7357 -26568 17712 789.852351   17 10 12 )
	ShadedPoly( m 26088 -9519 17392 1530.687246   17 12 14 )
	ShadedPoly( m 26088 9519 17392 1575.425123   17 14 16 )
	ShadedPoly( m 7357 26568 17712 914.717978   17 16 1 )
Return

:pt_prop
;port prop
	Points( 1
		-1244 584 845
		-1290 522 876
		-1260 77 845
		-1229 77 845
		-1198 522 814
		-1690 -169 845
		-1628 -184 876
		-1244 61 845
		-1260 92 845
		-1659 -92 814
		-814 -169 845
		-845 -92 876
		-1229 92 845
		-891 -184 814
	)
	SurfaceColor( 01 F0 )
	LineColor( 01 F0 )
	Poly( m 0 0 32767 845.000000   1 2 3 4 5 )
	Poly( m 0 0 -32767 -845.000000   1 2 3 4 5 )
	Poly( m 0 0 32767 845.000000   6 7 8 9 10 )
	Poly( m 0 0 -32767 -845.000000   6 7 8 9 10 )
	Poly( m 0 0 32767 845.000000   11 12 13 8 14 )
	Poly( m 0 0 -32767 -845.000000   11 12 13 8 14 )
	;port prop hub
	VecPoints( 1
		-1180 151 922   17866 19337 13644
		-1147 187 783   18997 20480 9770
		-1244 215 783   4 30016 9882
		-1244 169 922   29 28286 13793
		-1152 77 922   27663 25 13555
		-1106 77 783   29322 51 9774
		-1180 3 922   17790 -19322 13707
		-1147 -34 783   18845 -20452 9898
		-1244 -15 922   27 -28317 13824
		-1244 -61 783   0 -30078 9944
		-1309 3 922   -17793 -19252 13688
		-1341 -34 783   -18864 -20462 9825
		-1336 77 922   -27722 25 13523
		-1382 77 783   -29356 50 9654
		-1309 151 922   -17865 19258 13656
		-1341 187 783   -19009 20472 9761
		-1244 77 1060   6 0 17534
	)
	ShadedColor( 0A f0 )
	ShadedPoly( m 8668 30030 9836 103.002472   1 2 3 4 )
	ShadedPoly( m 29326 10931 9705 -732.256691   5 6 2 1 )
	ShadedPoly( m 29318 -10829 9843 -779.823634   7 8 6 5 )
	ShadedPoly( m 8372 -30075 9953 -24.017365   9 10 8 7 )
	ShadedPoly( m -8373 -30081 9935 611.288308   11 12 10 9 )
	ShadedPoly( m -29355 -10843 9715 1444.764519   13 14 12 11 )
	ShadedPoly( m -29358 10943 9593 1493.171819   15 16 14 13 )
	ShadedPoly( m -8660 30002 9929 762.899136   4 3 16 15 )
	ShadedPoly( m 7466 26547 17698 351.459487   1 4 17 )
	ShadedPoly( m 26005 9840 17337 -403.313272   5 1 17 )
	ShadedPoly( m 26005 -9840 17337 -449.559191   7 5 17 )
	ShadedPoly( m 7466 -26547 17698 226.693228   9 7 17 )
	ShadedPoly( m -7357 -26568 17712 789.851772   11 9 17 )
	ShadedPoly( m -26088 -9519 17392 1530.687246   13 11 17 )
	ShadedPoly( m -26088 9519 17392 1575.426038   15 13 17 )
	ShadedPoly( m -7357 26568 17712 914.717978   4 15 17 )
Return

:st_inwing
;star inner wing
	VecPoints( 1
		353 -169 154   0 -29122 9136
		630 -169 154   1275 -29704 8410
		630 -108 -737   354 9 -2112
		353 -108 -737   0 -1 -2256
		998 -138 154   2551 -30287 7685
		998 -108 -476   2747 -32615 -1553
		1029 -92 -737   708 19 -1968
		353 -46 154   0 29039 9219
		630 -46 154   -593 29068 9138
		998 -31 154   -1186 29097 9058
		998 -77 -476   -1331 32653 -2384
		630 -108 230   328 -645 19661
		353 -108 230   0 -82 20611
		998 -92 230   657 -1209 18711
	)

	ShadedColor( 0B f0 )
	ShadedPoly( m 0 -32690 -2238 158.083621   1 2 3 4 )
	ShadedPoly( m 2747 -32615 -1553 213.725822   2 5 6 7 3 )
	ShadedPoly( m 0 32688 -2275 -56.581256   8 9 3 4 )
	ShadedPoly( m -1331 32653 -2384 -82.635090   9 10 11 7 3 )
	ShadedPoly( m 0 25390 20713 61.704459   8 9 12 13 )
	ShadedPoly( m -1041 25541 20500 40.477004   9 10 14 12 )
	ShadedPoly( m 0 -25554 20510 228.191961   1 2 12 13 )
	ShadedPoly( m 2355 -27960 16923 269.021638   2 5 14 12 )

;star wing connector
	VecPoints( 1
		353 -108 230   17913 -5265 16260
		353 -46 154   20676 12337 9658
		353 -108 -737   15855 -3802 -4033
		353 -169 154   11240 -21290 9222
		0 -169 230   1839 -30242 8542
		0 -169 -737   2735 -32211 -3230
		276 0 230   14631 18505 14488
		276 0 -737   20519 22704 -6853
		246 -92 -906   14852 -7188 -10083
		246 -108 276   8216 -14504 21955
	)


	ShadedColor( 0B f0 )
	ShadedPoly( m 32767 0 0 353.000000   1 2 3 4 )
	ShadedPoly( m 0 -32767 0 169.000000   4 5 6 3 )
	ShadedPoly( m 16805 28130 0 141.550340   2 7 8 3 )
	ShadedPoly( m 24234 17278 -13707 512.425214   8 9 3 )
	ShadedPoly( m 5470 -31655 -6460 308.563952   6 9 3 )
	ShadedPoly( m 12457 8881 28976 308.316660   7 10 1 2 )
	ShadedPoly( m 8515 -24676 19806 312.087252   10 1 4 )
	ShadedPoly( m 3678 -27717 17085 262.874142   5 10 4 )
Return


:pt_inwing
;port inner wing
	VecPoints( 1
		-353 -169 154   0 -29122 9136
		-630 -169 154   -1275 -29704 8410
		-630 -108 -737   -354 9 -2112
		-353 -108 -737   0 -1 -2256
		-998 -138 154   -2551 -30287 7685
		-998 -108 -476   -2747 -32615 -1553
		-1029 -92 -737   -708 19 -1968
		-353 -46 154   0 29039 9219
		-630 -46 154   593 29068 9138
		-998 -31 154   1186 29097 9058
		-998 -77 -476   1331 32653 -2384
		-630 -108 230   -328 -645 19661
		-353 -108 230   0 -82 20611
		-998 -92 230   -657 -1209 18711
	)


	ShadedColor( 0B f0 )
	ShadedPoly( m 0 -32690 -2238 158.084597   1 2 3 4 )
	ShadedPoly( m -2747 -32615 -1553 213.732810   2 5 6 7 3 )
	ShadedPoly( m 0 32688 -2275 -56.569994   8 9 3 4 )
	ShadedPoly( m 1331 32653 -2384 -82.639088   9 10 11 7 3 )
	ShadedPoly( m 0 25390 20713 61.704215   8 9 12 13 )
	ShadedPoly( m 1041 25541 20500 40.476211   9 10 14 12 )
	ShadedPoly( m 0 -25554 20510 228.190924   1 2 12 13 )
	ShadedPoly( m -2355 -27960 16923 269.017609   2 5 14 12 )


;port wing connector
	VecPoints( 1
		-353 -108 230   -17913 -5265 16260
		-353 -46 154   -20676 12337 9658
		-353 -108 -737   -15855 -3802 -4033
		-353 -169 154   -11240 -21290 9222
		0 -169 230   -1839 -30242 8542
		0 -169 -737   -2735 -32211 -3230
		-276 0 230   -14631 18505 14488
		-276 0 -737   -20519 22704 -6853
		-246 -92 -906   -14852 -7188 -10083
		-246 -108 276   -8216 -14504 21955
	)

	ShadedColor( 0B f0 )
	ShadedPoly( m -32767 0 0 353.000000   1 2 3 4 )
	ShadedPoly( m 0 -32767 0 169.000000   4 5 6 3 )
	ShadedPoly( m -16805 28130 0 141.550493   2 7 8 3 )
	ShadedPoly( m -24234 17278 -13707 512.425398   8 9 3 )
	ShadedPoly( m -5470 -31655 -6460 308.562578   6 9 3 )
	ShadedPoly( m -12457 8881 28976 308.317911   7 10 1 2 )
	ShadedPoly( m -8515 -24676 19806 312.086978   10 1 4 )
	ShadedPoly( m -3678 -27717 17085 262.877987   5 10 4 )
Return


:nose
;fuselage nose
	VecPoints( 1
		0 123 1874   0 26724 16336
		-92 77 1889   -18535 17121 17863
		0 15 1997   0 920 22840
		92 77 1889   18535 17121 17863
		108 15 1905   24723 -773 18224
		-108 15 1905   -24723 -773 18224
		-77 -61 1905   -14688 -18370 17441
		77 -61 1905   14688 -18370 17441
		0 -77 1905   0 -28250 13113
		0 -138 1690   0 -31159 5762
		-184 -92 1690   -18287 -19688 8813
		-230 -108 1382   -18299 -22122 2388
		0 -154 1382   0 -31935 1784
		184 -92 1690   18287 -19688 8813
		230 -108 1382   18299 -22122 2388
		215 46 1690   28626 4939 10616
		276 31 1382   29648 370 3768
		-215 46 1690   -28626 4939 10616
		-276 31 1382   -29648 370 3768
		-154 169 1690   -15699 23058 10871
		-184 246 1306   -17909 22372 4971
		154 169 1690   15699 23058 10871
		184 246 1306   17909 22372 4971
		0 200 1690   0 30571 9616
		0 292 1306   0 31695 5400
		0 369 599   0 32077 2589
		-246 323 599   -18159 21895 3360
		246 323 599   18159 21895 3360
		353 46 599   28998 -2905 2119
		-353 46 599   -28998 -2905 2119
		-246 -123 599   -16848 -24858 -75
		246 -123 599   16848 -24858 -75
		0 -169 599   0 -32193 -258
		-246 -108 215   -18482 -23143 -1879
		0 -169 215   0 -31609 -2647
		246 -108 215   18482 -23143 -1879
		353 169 215   30037 -2704 1776
		-353 169 215   -30037 -2704 1776
		-307 307 215   -30975 9268 4665
		307 307 215   30975 9268 4665
		261 568 215   7387 29939 8636
		0 599 215   0 30446 11073
		0 584 246   0 29328 14191
		-261 568 215   -7387 29939 8636
		0 630 92   0 31628 7064
		-261 584 92   -9823 30324 4473
		261 584 92   9823 30324 4473
		292 568 92   14978 29021 1881
		-292 568 92   -14978 29021 1881
		-323 323 92   -31428 6783 6198
		-353 184 92   -30981 -2527 2714
		323 323 92   31428 6783 6198
		353 184 92   30981 -2527 2714
		246 -92 92   20142 -21494 -1394
		-246 -92 92   -20142 -21494 -1394
		0 -169 92   0 -31152 -2018
		246 -92 15   20169 -21557 0
		0 -169 15   0 -31271 0
		-246 -92 15   -20169 -21557 0
		-353 184 15   -30877 -2554 3695
		353 184 15   30877 -2554 3695
		338 338 15   31204 6735 7391
		-338 338 15   -31204 6735 7391
		-292 568 15   -15028 29117 0
		-261 599 15   -10307 30404 3087
		292 568 15   15028 29117 0
		261 599 15   10307 30404 3087
		0 645 15   0 31692 6174
		-261 323 522   -6019 32188 1173
		261 323 522   6019 32188 1173
	)
	Bitmap( Cess402b.r8 0 0 0 0 )
	ShadedTexPoly( m -8486 23782 20882 1283.51		1 51 248		2 43 248		3 32 254	)
	ShadedTexPoly( m 8486 23782 20882 1283.52		1 179 248		4 171 248		3 160 254	)
	ShadedTexPoly( m 19968 11202 23441 1433.71		5 160 249		4 171 248		3 160 254	)
	ShadedTexPoly( m -19968 11202 23441 1433.71		6 32 249		2 43 248		3 32 254	)
	ShadedTexPoly( m -20542 -8379 24114 1465.76		6 32 249		7 19 249		3 32 254	)
	ShadedTexPoly( m 20542 -8379 24114 1465.76		5 160 249		8 147 249		3 160 254	)
	ShadedTexPoly( m 4763 -22924 22924 1386.58		9 144 249		8 147 249		3 160 254	)
	ShadedTexPoly( m -4763 -22924 22924 1386.58		9 16 249		7 19 249		3 32 254	)
	ShadedTexPoly( m -7918 -31670 2828 279.23		10 5 239		11 14 239		12 11 224		13 3 224	)
	ShadedTexPoly( m 7918 -31670 2828 279.23		10 133 239		14 142 239		15 139 224		13 131 224	)
	ShadedTexPoly( m 31583 -7095 5085 459.53		16 166 239		14 142 239		15 139 224		17 163 224	)
	ShadedTexPoly( m -31583 -7095 5085 459.53		18 38 239		11 14 239		12 11 224		19 35 224	)
	ShadedTexPoly( m -28991 14378 5148 475.91		18 38 239		20 59 239		21 73 221		19 35 224	)
	ShadedTexPoly( m 28991 14378 5148 475.92		16 166 239		22 187 239		23 201 221		17 163 224	)
	ShadedTexPoly( m 6326 31424 6795 542.25		24 193 239		22 187 239		23 201 221		25 209 221	)
	ShadedTexPoly( m -6326 31424 6795 542.26		24 65 239		20 59 239		21 73 221		25 81 221	)
	ShadedTexPoly( m -5978 31967 4006 433.21		26 95 187		27 87 187		21 73 221		25 81 221	)
	ShadedTexPoly( m 5978 31967 4006 433.22		26 223 187		28 215 187		23 201 221		25 209 221	)
	ShadedTexPoly( m 30344 11721 3938 415.33		29 166 187		28 215 187		23 201 221		17 163 224	)
	ShadedTexPoly( m -30344 11721 3938 415.34		30 38 187		27 87 187		21 73 221		19 35 224	)
	ShadedTexPoly( m -27674 -17522 901 290.00		30 38 187		31 8 187		12 11 224		19 35 224	)
	ShadedTexPoly( m 27674 -17522 901 290.00		29 166 187		32 136 187		15 139 224		17 163 224	)
	ShadedTexPoly( m 6021 -32201 740 179.61		33 128 187		32 136 187		15 139 224		13 131 224	)
	ShadedTexPoly( m -6021 -32201 740 179.61		33 0 187		31 8 187		12 11 224		13 3 224	)
	ShadedTexPoly( m -6018 -32185 -1257 143.02		33 0 187		31 8 187		34 11 169		35 0 169	)
	ShadedTexPoly( m 6018 -32185 -1257 143.02		33 128 187		32 136 187		36 139 169		35 128 169	)
	ShadedTexPoly( m 27679 -17524 -685 261.06		29 166 187		32 136 187		36 139 169		37 187 169	)
	ShadedTexPoly( m -27679 -17524 -685 261.06		30 38 187		31 8 187		34 11 169		38 59 169	)
	ShadedTexPoly( m -30298 11704 4325 421.89		30 38 187		27 87 187		39 84 169		38 59 169	)
	ShadedTexPoly( m 30298 11704 4325 421.89		29 166 187		28 215 187		40 212 169		37 187 169	)
	ShadedTexPoly( m 3483 29328 14191 629.23		41 258 169		42 263 169		43 260 171	)
	ShadedTexPoly( m -3483 29328 14191 629.23		44 130 169		42 135 169		43 132 171	)
	ShadedTexPoly( m -3749 31565 7955 629.21		44 130 169		42 135 169		45 141 163		46 132 163	)
	ShadedTexPoly( m 3749 31565 7955 629.21		41 258 169		42 263 169		45 269 163		47 260 163	)
	ShadedTexPoly( m 14929 28925 3763 644.99		41 258 169		48 258 163		47 260 163	)
	ShadedTexPoly( m -14929 28925 3763 644.99		44 130 169		49 130 163		46 132 163	)
	ShadedTexPoly( m -31653 6832 5006 393.41		39 84 169		50 87 163		51 62 163		38 59 169	)
	ShadedTexPoly( m 31653 6832 5006 393.41		40 212 169		52 215 163		53 190 163		37 187 169	)
	ShadedTexPoly( m 30518 -11831 -1539 258.01		36 139 169		54 142 163		53 190 163		37 187 169	)
	ShadedTexPoly( m -30518 -11831 -1539 258.01		34 11 169		55 14 163		51 62 163		38 59 169	)
	ShadedTexPoly( m -9713 -31033 -4037 148.72		34 11 169		55 14 163		56 0 163		35 0 169	)
	ShadedTexPoly( m 9713 -31033 -4037 148.72		36 139 169		54 142 163		56 128 163		35 128 169	)
	ShadedTexPoly( m 9788 -31271 0 161.28		57 142 160		54 142 163		56 128 163		58 128 160	)
	ShadedTexPoly( m -9788 -31271 0 161.28		59 14 160		55 14 163		56 0 163		58 0 160	)
	ShadedTexPoly( m -30551 -11844 0 262.61		59 14 160		55 14 163		51 62 163		60 62 160	)
	ShadedTexPoly( m 30551 -11844 0 262.62		57 142 160		54 142 163		53 190 163		61 190 160	)
	ShadedTexPoly( m 31204 6735 7391 394.73		62 217 160		52 215 163		53 190 163		61 190 160	)
	ShadedTexPoly( m -31204 6735 7391 394.73		63 89 160		50 87 163		51 62 163		60 62 160	)
	ShadedTexPoly( m -15028 29117 0 638.64		64 130 160		49 130 163		46 132 163		65 135 160	)
	ShadedTexPoly( m 15028 29117 0 638.64		66 258 160		48 258 163		47 260 163		67 263 160	)
	ShadedTexPoly( m 5586 31692 6174 626.65		68 271 160		45 269 163		47 260 163		67 263 160	)
	ShadedTexPoly( m -5586 31692 6174 626.66		68 143 160		45 141 163		46 132 163		65 135 160	)
	ShadedTexPoly( m -6019 32188 1173 383.92		69 87 184		27 87 187		26 95 187	)
	ShadedTexPoly( m 6019 32188 1173 383.92		70 215 184		28 215 187		26 223 187	)
	ShadedTexPoly( m -5982 29719 12437 822.83		20 59 239		1 51 248		24 65 239	)
	ShadedTexPoly( m -10778 26672 15689 997.38		1 51 248		20 59 239		2 43 248	)
	ShadedTexPoly( m -26418 13101 14288 928.63		18 38 239		20 59 239		2 43 248	)
	ShadedTexPoly( m -27028 10850 15015 966.97		6 32 249		2 43 248		18 38 239	)
	ShadedTexPoly( m -26970 -11001 15009 956.42		6 32 249		11 14 239		7 19 249	)
	ShadedTexPoly( m -29111 -6539 13545 880.41		18 38 239		6 32 249		11 14 239	)
	ShadedTexPoly( m -7662 -30649 8696 577.58		9 16 249		11 14 239		10 5 239	)
	ShadedTexPoly( m -6479 -31179 7720 522.08		9 16 249		11 14 239		7 19 249	)
	ShadedTexPoly( m 7662 -30649 8696 577.57		9 144 249		14 142 239		10 133 239	)
	ShadedTexPoly( m 6479 -31179 7720 522.08		9 144 249		14 142 239		8 147 249	)
	ShadedTexPoly( m 29111 -6539 13545 880.41		16 166 239		14 142 239		5 160 249	)
	ShadedTexPoly( m 26970 -11001 15009 956.42		14 142 239		5 160 249		8 147 249	)
	ShadedTexPoly( m 26418 13101 14288 928.63		16 166 239		22 187 239		4 171 248	)
	ShadedTexPoly( m 27028 10850 15015 966.97		16 166 239		5 160 249		4 171 248	)
	ShadedTexPoly( m 5982 29719 12437 822.83		1 179 248		22 187 239		24 193 239	)
	ShadedTexPoly( m 10778 26672 15689 997.38		1 179 248		22 187 239		4 171 248	)


;	ShadedColor( 0B f0 )
;	ShadedPoly( m -8486 23782 20882 1283.549120   1 2 3 )
;	ShadedPoly( m 8486 23782 20882 1283.550035   1 4 3 )
;	ShadedPoly( m 19968 11202 23441 1433.749779   5 4 3 )
;	ShadedPoly( m -19968 11202 23441 1433.750633   6 2 3 )
;	ShadedPoly( m -20542 -8379 24114 1465.804651   6 7 3 )
;	ShadedPoly( m 20542 -8379 24114 1465.803186   5 8 3 )
;	ShadedPoly( m 4763 -22924 22924 1386.619709   9 8 3 )
;	ShadedPoly( m -4763 -22924 22924 1386.619709   9 7 3 )
;	ShadedPoly( m -7918 -31670 2828 279.237648   10 11 12 13 )
;	ShadedPoly( m 7918 -31670 2828 279.238136   10 14 15 13 )
;	ShadedPoly( m 31583 -7095 5085 459.536271   16 14 15 17 )
;	ShadedPoly( m -31583 -7095 5085 459.542222   18 11 12 19 )
;	ShadedPoly( m -28991 14378 5148 475.923124   18 20 21 19 )
;	ShadedPoly( m 28991 14378 5148 475.924558   16 22 23 17 )
;	ShadedPoly( m 6326 31424 6795 542.263558   24 22 23 25 )
;	ShadedPoly( m -6326 31424 6795 542.269906   24 20 21 25 )
;	ShadedPoly( m -5978 31967 4006 433.222968   26 27 21 25 )
;	ShadedPoly( m 5978 31967 4006 433.230689   26 28 23 25 )
;	ShadedPoly( m 30344 11721 3938 415.340434   29 28 23 17 )
;	ShadedPoly( m -30344 11721 3938 415.347453   30 27 21 19 )
;	ShadedPoly( m -27674 -17522 901 290.005463   30 31 12 19 )
;	ShadedPoly( m 27674 -17522 901 290.004517   29 32 15 17 )
;	ShadedPoly( m 6021 -32201 740 179.608417   33 32 15 13 )
;	ShadedPoly( m -6021 -32201 740 179.608081   33 31 12 13 )
;	ShadedPoly( m -6018 -32185 -1257 143.019562   33 31 34 35 )
;	ShadedPoly( m 6018 -32185 -1257 143.014405   33 32 36 35 )
;	ShadedPoly( m 27679 -17524 -685 261.063509   29 32 36 37 )
;	ShadedPoly( m -27679 -17524 -685 261.066042   30 31 34 38 )
;	ShadedPoly( m -30298 11704 4325 421.895596   30 27 39 38 )
;	ShadedPoly( m 30298 11704 4325 421.902799   29 28 40 37 )
;	ShadedPoly( m 3483 29328 14191 629.243812   41 42 43 )
;	ShadedPoly( m -3483 29328 14191 629.247047   44 42 43 )
;	ShadedPoly( m -3749 31565 7955 629.222510   44 42 45 46 )
;	ShadedPoly( m 3749 31565 7955 629.224830   41 42 45 47 )
;	ShadedPoly( m 14929 28925 3763 645.006073   41 48 47 )
;	ShadedPoly( m -14929 28925 3763 645.004578   44 49 46 )
;	ShadedPoly( m -31653 6832 5006 393.419752   39 50 51 38 )
;	ShadedPoly( m 31653 6832 5006 393.418653   40 52 53 37 )
;	ShadedPoly( m 30518 -11831 -1539 258.012360   36 54 53 37 )
;	ShadedPoly( m -30518 -11831 -1539 258.014527   34 55 51 38 )
;	ShadedPoly( m -9713 -31033 -4037 148.716910   34 55 56 35 )
;	ShadedPoly( m 9713 -31033 -4037 148.721976   36 54 56 35 )
;	ShadedPoly( m 9788 -31271 0 161.283609   57 54 56 58 )
;	ShadedPoly( m -9788 -31271 0 161.284188   59 55 56 58 )
;	ShadedPoly( m -30551 -11844 0 262.617695   59 55 51 60 )
;	ShadedPoly( m 30551 -11844 0 262.618091   57 54 53 61 )
;	ShadedPoly( m 31204 6735 7391 394.733940   62 52 53 61 )
;	ShadedPoly( m -31204 6735 7391 394.733238   63 50 51 60 )
;	ShadedPoly( m -15028 29117 0 638.649617   64 49 46 65 )
;	ShadedPoly( m 15028 29117 0 638.649739   66 48 47 67 )
;	ShadedPoly( m 5586 31692 6174 626.665548   68 45 47 67 )
;	ShadedPoly( m -5586 31692 6174 626.669576   68 45 46 65 )
;	ShadedPoly( m -6019 32188 1173 383.922514   69 27 26 )
;	ShadedPoly( m 6019 32188 1173 383.922819   70 28 26 )
;	ShadedPoly( m -5982 29719 12437 822.848262   20 1 24 )
;	ShadedPoly( m -10778 26672 15689 997.401105   1 20 2 )
;	ShadedPoly( m -26418 13101 14288 928.655812   18 20 2 )
;	ShadedPoly( m -27028 10850 15015 966.989624   6 2 18 )
;	ShadedPoly( m -26970 -11001 15009 956.446730   6 11 7 )
;	ShadedPoly( m -29111 -6539 13545 880.430372   18 6 11 )
;	ShadedPoly( m -7662 -30649 8696 577.588824   9 11 10 )
;	ShadedPoly( m -6479 -31179 7720 522.092410   9 11 7 )
;	ShadedPoly( m 7662 -30649 8696 577.587268   9 14 10 )
;	ShadedPoly( m 6479 -31179 7720 522.091830   9 14 8 )
;	ShadedPoly( m 29111 -6539 13545 880.432386   16 14 5 )
;	ShadedPoly( m 26970 -11001 15009 956.443434   14 5 8 )
;	ShadedPoly( m 26418 13101 14288 928.654927   16 22 4 )
;	ShadedPoly( m 27028 10850 15015 966.989990   16 5 4 )
;	ShadedPoly( m 5982 29719 12437 822.851497   1 22 24 )
;	ShadedPoly( m 10778 26672 15689 997.401074   1 22 4 )
Return

:center
;windshield
	VecPoints( 1
		0 584 246   0 25423 20288
		261 568 215   22417 12192 10892
		261 323 522   17966 15528 12392
		0 369 599   0 25423 20288
		-261 568 215   -22417 12192 10892
		-261 323 522   -17966 15528 12392
		307 307 215   31641 5577 6194
		-307 307 215   -31641 5577 6194
		-292 568 -46   -32131 6426 0
		-292 568 92   -31725 5973 3946
		-338 338 15   -31725 5973 3946
		-338 338 -46   -32131 6426 0
		292 568 -46   32131 6426 0
		292 568 92   31725 5973 3946
		338 338 15   31725 5973 3946
		338 338 -46   32131 6426 0
	)


	ShadedColor( 03 f0 )
	ShadedPoly( m 3968 25423 20288 605.414380   1 2 3 4 )
	ShadedPoly( m -3968 25423 20288 605.422529   1 5 6 4 )
	ShadedPoly( m 31964 5634 4496 381.762932   7 2 3 )
	ShadedPoly( m -31964 5634 4496 381.765130   8 5 6 )
	ShadedPoly( m -32131 6426 0 397.725333   9 10 11 12 )
	ShadedPoly( m -31319 5520 7893 396.941069   10 5 8 11 )

	ShadedPoly( m 32131 6426 0 397.723930   13 14 15 16 )
	ShadedPoly( m 31319 5520 7893 396.943999   14 2 7 15 )

;center fuselage
	VecPoints( 1
		0 645 15   0 32270 0
		0 645 -1152   0 32270 0
		-261 599 -1152   -14428 27720 0
		-261 599 15   -14428 27720 0
		261 599 -1152   14428 27720 0
		261 599 15   14428 27720 0
		-353 184 15   -31582 -4333 0
		-353 184 -1152   -31582 -4333 0
		-246 -92 -1152   -20169 -21557 0
		-246 -92 15   -20169 -21557 0
		353 184 15   31582 -4333 0
		353 184 -1152   31582 -4333 0
		246 -92 -1152   20169 -21557 0
		246 -92 15   20169 -21557 0
		0 -169 15   0 -31271 0
		0 -169 -1152   0 -31271 0
		338 338 -46   32131 6426 0
		338 338 -1152   32372 4801 0
		292 568 -1152   27650 14798 0
		292 568 -46   32131 6426 0
		292 568 15   23170 23170 0
		338 338 15   32613 3177 0
		-338 338 -46   -32131 6426 0
		-338 338 -1152   -32372 4801 0
		-292 568 -1152   -27650 14798 0
		-292 568 -46   -32131 6426 0
		-292 568 15   -23170 23170 0
		-338 338 15   -32613 3177 0
	)
	Bitmap( Cess402b.r8 0 0 0 0 )
	ShadedTexPoly( m -5687 32270 0 635.20		1 143 160		2 143 105		3 135 105		4 135 160	)
	ShadedTexPoly( m 5687 32270 0 635.20		1 271 160		2 271 105		5 263 105		6 263 160	)
	ShadedTexPoly( m -30551 -11844 0 262.62		7 62 160		8 62 105		9 14 105		10 14 160	)
	ShadedTexPoly( m 30551 -11844 0 262.61		11 190 160		12 190 105		13 142 105		14 142 160	)
	ShadedTexPoly( m 9788 -31271 0 161.28		15 128 160		16 128 105		13 142 105		14 142 160	)
	ShadedTexPoly( m -9788 -31271 0 161.28		15 0 160		16 0 105		9 14 105		10 14 160	)
	ShadedTexPoly( m 32131 6426 0 397.72		17 217 157		18 217 105		19 258 105		20 258 157	)
	ShadedTexPoly( m 23170 23170 0 608.10		5 263 105		6 263 160		21 258 160		19 258 105	)
	ShadedTexPoly( m 32613 3177 0 369.17		11 190 160		12 190 105		18 217 105		22 217 160	)
	ShadedTexPoly( m -32131 6426 0 397.72		23 89 157		24 89 105		25 130 105		26 130 157	)
	ShadedTexPoly( m -23170 23170 0 608.10		3 135 105		4 135 160		27 130 160		25 130 105	)
	ShadedTexPoly( m -32613 3177 0 369.18		7 62 160		8 62 105		24 89 105		28 89 160	)


;	ShadedColor( 0B f0 )
;	ShadedPoly( m -5687 32270 0 635.216834   1 2 3 4 )
;	ShadedPoly( m 5687 32270 0 635.213385   1 2 5 6 )
;	ShadedPoly( m -30551 -11844 0 262.618091   7 8 9 10 )
;	ShadedPoly( m 30551 -11844 0 262.617695   11 12 13 14 )
;	ShadedPoly( m 9788 -31271 0 161.284188   15 16 13 14 )
;	ShadedPoly( m -9788 -31271 0 161.283609   15 16 9 10 )
;	ShadedPoly( m 32131 6426 0 397.725333   17 18 19 20 )
;	ShadedPoly( m 23170 23170 0 608.117924   5 6 21 19 )
;	ShadedPoly( m 32613 3177 0 369.181097   11 12 18 22 )
;	ShadedPoly( m -32131 6426 0 397.723930   23 24 25 26 )
;	ShadedPoly( m -23170 23170 0 608.117924   3 4 27 25 )
;	ShadedPoly( m -32613 3177 0 369.183020   7 8 24 28 )
Return

:rear_fuselage
;rear fuselage
	VecPoints( 1
		0 -154 -1352   0 -30822 -4423
		0 -169 -1152   0 -31191 -2339
		-246 -92 -1152   -20083 -21489 -2781
		-230 -77 -1352   -20114 -21291 -4392
		246 -92 -1152   20083 -21489 -2781
		230 -77 -1352   20114 -21291 -4392
		338 200 -1352   31288 -4123 -4036
		353 184 -1152   31454 -4127 -2689
		-338 200 -1352   -31288 -4123 -4036
		-353 184 -1152   -31454 -4127 -2689
		-323 338 -1352   -31843 5926 -3766
		-338 338 -1152   -32274 4971 -2279
		323 338 -1352   31843 5926 -3766
		338 338 -1152   32274 4971 -2279
		292 568 -1152   27456 14639 -3831
		246 568 -1352   20293 20511 -4158
		-292 568 -1152   -27456 14639 -3831
		-246 568 -1352   -20293 20511 -4158
		0 645 -1152   0 31690 -2377
		0 630 -1352   0 31505 -3944
		-261 599 -1152   -15428 27279 -3818
		261 599 -1152   15428 27279 -3818
		0 276 -3364   0 579 -5605
	)
	Bitmap( Cess402b.r8 0 0 0 0 )
	ShadedTexPoly( m -9763 -31191 -2339 243.10		1 3 95		2 0 105		3 14 105		4 16 95	)
	ShadedTexPoly( m 9763 -31191 -2339 243.10		1 131 95		2 128 105		5 142 105		6 144 95	)
	ShadedTexPoly( m 30403 -11787 -3223 374.65		7 193 95		8 190 105		5 142 105		6 144 95	)
	ShadedTexPoly( m -30403 -11787 -3223 374.65		9 65 95		10 62 105		3 14 105		4 16 95	)
	ShadedTexPoly( m -32505 3533 -2155 445.77		11 89 95		9 65 95		10 62 105		12 89 105	)
	ShadedTexPoly( m 32505 3533 -2155 445.77		13 217 95		7 193 95		8 190 105		14 217 105	)
	ShadedTexPoly( m 32044 6409 -2403 481.13		15 258 105		14 217 105		13 217 95		16 258 95	)
	ShadedTexPoly( m -32044 6409 -2403 481.12		17 130 105		12 89 105		11 89 95		18 130 95	)
	ShadedTexPoly( m -7987 31690 -2377 707.35		19 143 105		20 141 95		18 130 95		21 135 105	)
	ShadedTexPoly( m 7987 31690 -2377 707.35		19 271 105		20 269 95		16 258 95		22 263 105	)
	ShadedTexPoly( m 30672 10268 -5240 624.46		13 217 95		23 206 0		16 258 95	)
	ShadedTexPoly( m -30672 10268 -5240 624.46		11 89 95		23 78 0		18 130 95	)
	ShadedTexPoly( m -32151 3495 -5269 570.37		11 89 95		23 78 0		9 65 95	)
	ShadedTexPoly( m 32151 3495 -5269 570.37		13 217 95		23 206 0		7 193 95	)
	ShadedTexPoly( m 10195 -30453 -6508 411.64		1 131 95		23 206 0		6 144 95	)
	ShadedTexPoly( m -10195 -30453 -6508 411.64		1 3 95		23 78 0		4 16 95	)
	ShadedTexPoly( m 22869 22869 -5260 785.13		22 263 105		15 258 105		16 258 95	)
	ShadedTexPoly( m -22869 22869 -5260 785.13		21 135 105		17 130 105		18 130 95	)
	ShadedTexPoly( m 7894 31321 -5511 829.57		20 269 95		16 258 95		23 206 0	)
	ShadedTexPoly( m -30096 -11734 -5499 465.71		4 16 95		23 78 0		9 65 95	)
	ShadedTexPoly( m 30096 -11734 -5499 465.71		6 144 95		23 206 0		7 193 95	)
	ShadedTexPoly( m -7894 31321 -5511 829.58		20 141 95		18 130 95		23 78 0	)


;	ShadedColor( 0B f0 )
;	ShadedPoly( m -9763 -31191 -2339 243.102573   1 2 3 4 )
;	ShadedPoly( m 9763 -31191 -2339 243.104282   1 2 5 6 )
;	ShadedPoly( m 30403 -11787 -3223 374.654683   7 8 5 6 )
;	ShadedPoly( m -30403 -11787 -3223 374.658589   9 10 3 4 )
;	ShadedPoly( m -32505 3533 -2155 445.778649   11 9 10 12 )
;	ShadedPoly( m 32505 3533 -2155 445.780725   13 7 8 14 )
;	ShadedPoly( m 32044 6409 -2403 481.136998   15 14 13 16 )
;	ShadedPoly( m -32044 6409 -2403 481.133763   17 12 11 18 )
;	ShadedPoly( m -7987 31690 -2377 707.368816   19 20 18 21 )
;	ShadedPoly( m 7987 31690 -2377 707.371014   19 20 16 22 )
;	ShadedPoly( m 30672 10268 -5240 624.473403   13 23 16 )
;	ShadedPoly( m -30672 10268 -5240 624.470229   11 23 18 )
;	ShadedPoly( m -32151 3495 -5269 570.383953   11 23 9 )
;	ShadedPoly( m 32151 3495 -5269 570.382580   13 23 7 )
;	ShadedPoly( m 10195 -30453 -6508 411.651296   1 23 6 )
;	ShadedPoly( m -10195 -30453 -6508 411.650349   1 23 4 )
;	ShadedPoly( m 22869 22869 -5260 785.145421   22 15 16 )
;	ShadedPoly( m -22869 22869 -5260 785.146214   21 17 18 )
;	ShadedPoly( m 7894 31321 -5511 829.587756   20 16 23 )
;	ShadedPoly( m -30096 -11734 -5499 465.721488   4 23 9 )
;	ShadedPoly( m 30096 -11734 -5499 465.719962   6 23 7 )
;	ShadedPoly( m -7894 31321 -5511 829.602954   20 18 23 )
;vertical stabilizer
	VecPoints( 1
		0 645 -1152   14042 -8615 1578
		0 676 -1152   10922 1440 68
		0 707 -2135   0 2033 187
		-15 480 -2135   -16351 -15141 2827
		0 480 -2135   0 -32316 5417
		15 480 -2135   16351 -15141 2777
		0 753 -2350   2 1333 436
		-18 444 -2350   -16364 -15490 3024
		0 444 -2350   0 -32315 5424
		18 444 -2350   16366 -15490 2836
		0 1567 -3087   2 763 494
		-29 320 -3087   -16375 -15784 2966
		0 320 -3087   0 -32331 5327
		29 320 -3087   16378 -15784 2855
		0 1597 -3149   -11 629 -238
		-30 310 -3149   -16379 -15847 2776
		0 310 -3149   0 -32324 5368
		30 310 -3149   16368 -15847 2353
		0 1597 -3348   -11 495 -432
		-20 276 -3348   -16381 -9686 -6598
		0 276 -3348   0 -19869 -13196
		20 276 -3348   16370 -9687 -7030
		0 1597 -3656   0 -3472 -15955
	)


	ShadedColor( 0A f0 )
	ShadedPoly( m 32767 0 0 0.000000   1 1 1 2 )
	ShadedPoly( m -32696 2161 68 42.191839   2 3 4 1 )
	ShadedPoly( m 0 -32315 5424 -826.795953   1 4 5 )
	ShadedPoly( m 0 -32315 5424 -826.795953   1 5 6 )
	ShadedPoly( m 32695 2160 136 37.736991   1 6 3 2 )
	ShadedPoly( m -32709 1905 408 14.519333   3 7 8 4 )
	ShadedPoly( m 0 -32317 5411 -825.972625   4 8 9 5 )
	ShadedPoly( m 0 -32317 5411 -825.972625   5 9 10 6 )
	ShadedPoly( m 32711 1906 137 33.968627   6 10 7 3 )
	ShadedPoly( m -32747 762 841 -42.804163   7 11 12 8 )
	ShadedPoly( m 0 -32313 5437 -827.781671   8 12 13 9 )
	ShadedPoly( m 0 -32313 5437 -827.781671   9 13 14 10 )
	ShadedPoly( m 32756 762 361 2.428846   10 14 11 7 )
	ShadedPoly( m -32756 764 369 1.772668   11 15 16 12 )
	ShadedPoly( m 0 -32349 5218 -807.508957   12 16 17 13 )
	ShadedPoly( m 0 -32349 5218 -807.508957   13 17 18 14 )
	ShadedPoly( m 32756 764 405 -1.703879   14 18 15 11 )
	ShadedPoly( m -32763 496 0 24.174078   15 19 20 16 )
	ShadedPoly( m 0 -32299 5518 -835.867550   16 20 21 17 )
	ShadedPoly( m 0 -32299 5518 -835.867550   17 21 22 18 )
	ShadedPoly( m 32718 495 -1729 200.799921   18 22 19 15 )
	ShadedPoly( m -32763 496 0 24.174078   19 23 20 )
	ShadedPoly( m 0 -7440 -31911 3197.869442   20 23 21 )
	ShadedPoly( m 0 -7440 -31911 3197.869442   21 23 22 )
	ShadedPoly( m 32763 496 0 24.175420   22 23 19 )
Return

:st_engine
	VecPoints( 1
		1244 215 783   0 20701 10922
		1336 184 783   8179 12367 20577
		1382 77 783   8523 384 30674
		1336 -31 783   6683 -10375 26911
		1244 -61 783   0 -17486 22707
		1152 -31 783   -6683 -10375 26911
		1106 77 783   -8523 384 30674
		1152 184 783   -8179 12367 20577
		1244 215 737   0 31640 0
		1413 184 737   14885 20993 6341
		1075 184 737   -14885 20993 6341
		998 46 737   -20111 1269 16830
		1490 46 737   20471 1010 16555
		1413 -61 737   9537 -16977 23680
		1075 -61 737   -8294 -16684 24048
		1244 -92 737   793 -26165 18679
		1244 -138 676   1785 -29373 9841
		1490 -108 676   17520 -13861 9351
		998 -138 676   -15732 -13675 9645
		1490 31 676   30973 7342 -900
		1413 184 676   17546 23457 -900
		998 31 676   -30973 7342 -900
		1075 184 676   -17546 23457 -900
		1244 215 676   0 32229 0
		1244 215 61   0 32087 -2290
		1413 184 61   16879 24479 -1419
		1075 184 61   -16879 24479 -1419
		998 31 61   -30367 8435 -274
		1490 31 61   30367 8435 -274
		1490 -108 61   18367 -16263 0
		1244 -138 61   1983 -32646 0
		998 -138 61   -16383 -16383 0
		1244 -138 -476   1983 -32646 0
		998 -138 -476   -16326 -16383 -966
		1490 -108 -476   18309 -16263 -966
		1490 0 -476   29534 9416 -2839
		998 0 -476   -29534 9416 -2839
		1075 108 -476   -15978 25023 -5704
		1413 108 -476   15978 25023 -5704
		1244 138 -476   0 31212 -7662
		1244 46 -737   0 29068 -14028
		1091 31 -737   -13219 25362 -11476
		1398 31 -737   13219 25362 -11476
		1459 -46 -737   27381 10828 -6420
		1029 -46 -737   -27381 10828 -6420
		1029 -123 -737   -16543 -18713 -3333
		1459 -123 -737   17336 -18664 -3333
		1244 -138 -737   991 -32610 0
		1244 -138 -860   0 -32575 0
		1106 -123 -860   -8793 -30334 -4660
		1382 -123 -860   8793 -30334 -4660
		1044 -92 -860   -18524 -2610 -11477
		1106 -46 -860   -9480 24399 -17678
		1444 -92 -860   18524 -2610 -11477
		1382 -46 -860   9480 24399 -17678
		1244 -31 -860   0 27230 -17968
		1244 -138 -1014   0 -3814 -12939
	)


	ShadedColor( 0B f0 )
	ShadedPoly( m 0 0 32767 783.000000   1 2 3 4 5 6 7 8 )
	ShadedPoly( m 10463 31052 0 600.975127   9 1 2 10 )
	ShadedPoly( m -10463 31052 0 -193.481491   9 1 8 11 )
	ShadedPoly( m -14074 6050 28965 231.319712   12 7 8 11 )
	ShadedPoly( m 14074 6050 28965 1299.956023   13 3 2 10 )
	ShadedPoly( m 11496 -4897 30291 1197.187567   13 3 4 14 )
	ShadedPoly( m -11496 -4897 30291 324.297861   12 7 6 15 )
	ShadedPoly( m -8553 -26230 17677 146.524766   16 5 6 15 )
	ShadedPoly( m 8553 -26230 17677 795.954131   16 5 4 14 )
	ShadedPoly( m 3175 -26039 19636 635.304422   16 17 18 14 )
	ShadedPoly( m 0 -26162 19729 517.202063   16 17 19 15 )
	ShadedPoly( m 29092 14641 -3600 1262.470351   13 20 21 10 )
	ShadedPoly( m -29092 14641 -3600 -946.487503   12 22 23 11 )
	ShadedPoly( m -5912 32229 0 -12.979308   9 24 23 11 )
	ShadedPoly( m 5912 32229 0 435.920042   9 24 21 10 )
	ShadedPoly( m 5912 32229 0 435.919156   25 24 21 26 )
	ShadedPoly( m -5912 32229 0 -12.978423   25 24 23 27 )
	ShadedPoly( m -29269 14730 0 -877.524094   28 22 23 27 )
	ShadedPoly( m 29269 14730 0 1344.871883   29 20 21 26 )
	ShadedPoly( m 32767 0 0 1490.000000   29 20 18 30 )
	ShadedPoly( m 3967 -32526 0 287.595386   31 17 18 30 )
	ShadedPoly( m 0 -32767 0 138.000000   31 17 19 32 )
	ShadedPoly( m -32767 0 0 -998.000000   28 22 19 32 )
	ShadedPoly( m 0 -32767 0 138.000000   31 33 34 32 )
	ShadedPoly( m 3967 -32526 0 287.592273   31 33 35 30 )
	ShadedPoly( m 32767 0 0 1490.000000   29 36 35 30 )
	ShadedPoly( m -32767 0 0 -998.000000   28 37 34 32 )
	ShadedPoly( m -26665 19011 -1097 -796.213111   28 37 38 27 )
	ShadedPoly( m 26665 19011 -1097 1228.469924   29 36 39 26 )
	ShadedPoly( m 5671 31946 -4581 416.389874   25 40 39 26 )
	ShadedPoly( m -5671 31946 -4581 -14.214759   25 40 38 27 )
	ShadedPoly( m -5410 30479 -10744 79.046785   41 40 38 42 )
	ShadedPoly( m 5410 30479 -10744 489.834346   41 40 39 43 )
	ShadedPoly( m 26167 18656 -6396 1282.794122   44 36 39 43 )
	ShadedPoly( m -26167 18656 -6396 -704.067110   45 37 38 42 )
	ShadedPoly( m -32538 0 -3865 -934.879116   45 37 34 46 )
	ShadedPoly( m 32538 0 -3865 1535.735557   44 36 35 47 )
	ShadedPoly( m 3967 -32526 0 287.595386   48 33 35 47 )
	ShadedPoly( m 0 -32767 0 138.000000   48 33 34 46 )
	ShadedPoly( m -3541 -32575 0 2.758232   48 49 50 46 )
	ShadedPoly( m 3541 -32575 0 271.625538   48 49 51 47 )
	ShadedPoly( m -18293 24656 -11452 -351.497360   45 52 53 42 )
	ShadedPoly( m 18293 24656 -11452 1037.490005   44 54 55 43 )
	ShadedPoly( m 3006 27657 -17313 542.352062   41 56 55 43 )
	ShadedPoly( m -3006 27657 -17313 314.109897   41 56 53 42 )
	ShadedPoly( m -2913 26803 -18623 352.826441   57 56 53 )
	ShadedPoly( m 2913 26803 -18623 574.012879   57 56 55 )
	ShadedPoly( m 13711 18480 -23327 1164.578448   57 54 55 )
	ShadedPoly( m -13711 18480 -23327 123.503952   57 52 53 )
	ShadedPoly( m -13982 -27965 -9806 -109.599200   57 52 50 )
	ShadedPoly( m 13982 -27965 -9806 952.057314   57 54 51 )
	ShadedPoly( m 3541 -32575 0 271.626545   57 49 51 )
	ShadedPoly( m -3541 -32575 0 2.757225   57 49 50 )
	ShadedPoly( m 32526 0 -3967 1537.495437   44 54 47 )
	ShadedPoly( m 14111 -28223 -8834 932.951933   54 51 47 )
	ShadedPoly( m -32526 0 -3967 -932.205420   45 52 46 )
	ShadedPoly( m -14111 -28223 -8834 -138.496902   52 50 46 )
	ShadedPoly( m -32767 0 0 -998.000000   12 22 19 )
	ShadedPoly( m -13128 -9447 28497 227.850673   12 19 15 )
	ShadedPoly( m 32767 0 0 1490.000000   13 20 18 )
	ShadedPoly( m 14927 -10742 27119 1273.653859   13 18 14 )
Return

:pt_engine
;port engine
	VecPoints( 1
		-1244 215 783   0 20701 10922
		-1336 184 783   -8179 12367 20577
		-1382 77 783   -8523 384 30674
		-1336 -31 783   -6683 -10375 26911
		-1244 -61 783   0 -17486 22707
		-1152 -31 783   6683 -10375 26911
		-1106 77 783   8523 384 30674
		-1152 184 783   8179 12367 20577
		-1244 215 737   0 31640 0
		-1413 184 737   -14885 20993 6341
		-1075 184 737   14885 20993 6341
		-998 46 737   20111 1269 16830
		-1490 46 737   -20471 1010 16555
		-1413 -61 737   -9537 -16977 23680
		-1075 -61 737   8294 -16684 24048
		-1244 -92 737   -793 -26165 18679
		-1244 -138 676   -1785 -29373 9841
		-1490 -108 676   -17520 -13861 9351
		-998 -138 676   15732 -13675 9645
		-1490 31 676   -30973 7342 -900
		-1413 184 676   -17546 23457 -900
		-998 31 676   30973 7342 -900
		-1075 184 676   17546 23457 -900
		-1244 215 676   0 32229 0
		-1244 215 61   0 32087 -2290
		-1413 184 61   -16879 24479 -1419
		-1075 184 61   16879 24479 -1419
		-998 31 61   30367 8435 -274
		-1490 31 61   -30367 8435 -274
		-1490 -108 61   -18367 -16263 0
		-1244 -138 61   -1983 -32646 0
		-998 -138 61   16383 -16383 0
		-1244 -138 -476   -1983 -32646 0
		-998 -138 -476   16326 -16383 -966
		-1490 -108 -476   -18309 -16263 -966
		-1490 0 -476   -29534 9416 -2839
		-998 0 -476   29534 9416 -2839
		-1075 108 -476   15978 25023 -5704
		-1413 108 -476   -15978 25023 -5704
		-1244 138 -476   0 31212 -7662
		-1244 46 -737   0 29068 -14028
		-1091 31 -737   13219 25362 -11476
		-1398 31 -737   -13219 25362 -11476
		-1459 -46 -737   -27381 10828 -6420
		-1029 -46 -737   27381 10828 -6420
		-1029 -123 -737   16543 -18713 -3333
		-1459 -123 -737   -17336 -18664 -3333
		-1244 -138 -737   -991 -32610 0
		-1244 -138 -860   0 -32575 0
		-1106 -123 -860   8793 -30334 -4660
		-1382 -123 -860   -8793 -30334 -4660
		-1044 -92 -860   18524 -2610 -11477
		-1106 -46 -860   9480 24399 -17678
		-1444 -92 -860   -18524 -2610 -11477
		-1382 -46 -860   -9480 24399 -17678
		-1244 -31 -860   0 27230 -17968
		-1244 -138 -1014   0 -3814 -12939
	)

	ShadedColor( 0B f0 )
	ShadedPoly( m 0 0 32767 783.000000   1 2 3 4 5 6 7 8 )
	ShadedPoly( m -10463 31052 0 600.974639   9 1 2 10 )
	ShadedPoly( m 10463 31052 0 -193.481002   9 1 8 11 )
	ShadedPoly( m 14074 6050 28965 231.316477   12 7 8 11 )
	ShadedPoly( m -14074 6050 28965 1299.959258   13 3 2 10 )
	ShadedPoly( m -11496 -4897 30291 1197.189734   13 3 4 14 )
	ShadedPoly( m 11496 -4897 30291 324.295694   12 7 6 15 )
	ShadedPoly( m 8553 -26230 17677 146.524400   16 5 6 15 )
	ShadedPoly( m -8553 -26230 17677 795.954497   16 5 4 14 )
	ShadedPoly( m -3175 -26039 19636 635.300699   16 17 18 14 )
	ShadedPoly( m 0 -26162 19729 517.202582   16 17 19 15 )
	ShadedPoly( m -29092 14641 -3600 1262.469558   13 20 21 10 )
	ShadedPoly( m 29092 14641 -3600 -946.486709   12 22 23 11 )
	ShadedPoly( m 5912 32229 0 -12.978423   9 24 23 11 )
	ShadedPoly( m -5912 32229 0 435.919156   9 24 21 10 )
	ShadedPoly( m -5912 32229 0 435.920042   25 24 21 26 )
	ShadedPoly( m 5912 32229 0 -12.979308   25 24 23 27 )
	ShadedPoly( m 29269 14730 0 -877.524796   28 22 23 27 )
	ShadedPoly( m -29269 14730 0 1344.872585   29 20 21 26 )
	ShadedPoly( m -32767 0 0 1490.000000   29 20 18 30 )
	ShadedPoly( m -3967 -32526 0 287.592273   31 17 18 30 )
	ShadedPoly( m 0 -32767 0 138.000000   31 17 19 32 )
	ShadedPoly( m 32767 0 0 -998.000000   28 22 19 32 )
	ShadedPoly( m 0 -32767 0 138.000000   31 33 34 32 )
	ShadedPoly( m -3967 -32526 0 287.595386   31 33 35 30 )
	ShadedPoly( m -32767 0 0 1490.000000   29 36 35 30 )
	ShadedPoly( m 32767 0 0 -998.000000   28 37 34 32 )
	ShadedPoly( m 26665 19011 -1097 -796.204901   28 37 38 27 )
	ShadedPoly( m -26665 19011 -1097 1228.461715   29 36 39 26 )
	ShadedPoly( m -5671 31946 -4581 416.384564   25 40 39 26 )
	ShadedPoly( m 5671 31946 -4581 -14.209449   25 40 38 27 )
	ShadedPoly( m 5410 30479 -10744 79.052767   41 40 38 42 )
	ShadedPoly( m -5410 30479 -10744 489.828364   41 40 39 43 )
	ShadedPoly( m -26167 18656 -6396 1282.794549   44 36 39 43 )
	ShadedPoly( m 26167 18656 -6396 -704.067537   45 37 38 42 )
	ShadedPoly( m 32538 0 -3865 -934.876461   45 37 34 46 )
	ShadedPoly( m -32538 0 -3865 1535.732902   44 36 35 47 )
	ShadedPoly( m -3967 -32526 0 287.592273   48 33 35 47 )
	ShadedPoly( m 0 -32767 0 138.000000   48 33 34 46 )
	ShadedPoly( m 3541 -32575 0 2.757225   48 49 50 46 )
	ShadedPoly( m -3541 -32575 0 271.626545   48 49 51 47 )
	ShadedPoly( m 18293 24656 -11452 -351.498428   45 52 53 42 )
	ShadedPoly( m -18293 24656 -11452 1037.491073   44 54 55 43 )
	ShadedPoly( m -3006 27657 -17313 542.355632   41 56 55 43 )
	ShadedPoly( m 3006 27657 -17313 314.106326   41 56 53 42 )
	ShadedPoly( m 2913 26803 -18623 352.828639   57 56 53 )
	ShadedPoly( m -2913 26803 -18623 574.010681   57 56 55 )
	ShadedPoly( m -13711 18480 -23327 1164.580889   57 54 55 )
	ShadedPoly( m 13711 18480 -23327 123.501511   57 52 53 )
	ShadedPoly( m 13982 -27965 -9806 -109.596667   57 52 50 )
	ShadedPoly( m -13982 -27965 -9806 952.054781   57 54 51 )
	ShadedPoly( m -3541 -32575 0 271.625538   57 49 51 )
	ShadedPoly( m 3541 -32575 0 2.758232   57 49 50 )
	ShadedPoly( m -32526 0 -3967 1537.495437   44 54 47 )
	ShadedPoly( m -14111 -28223 -8834 932.952055   54 51 47 )
	ShadedPoly( m 32526 0 -3967 -932.205420   45 52 46 )
	ShadedPoly( m 14111 -28223 -8834 -138.497024   52 50 46 )
	ShadedPoly( m 32767 0 0 -998.000000   12 22 19 )
	ShadedPoly( m 13128 -9447 28497 227.849849   12 19 15 )
	ShadedPoly( m -32767 0 0 1490.000000   13 20 18 )
	ShadedPoly( m -14927 -10742 27119 1273.653401   13 18 14 )
Return


:st_tail
;star horizontal stabilizer
	VecPoints( 1
		169 307 -2396   2474 27456 11170
		1306 292 -2611   2474 27456 11170
		1306 276 -3011   192 -1 -1269
		61 276 -3087   192 -1 -1269
		169 246 -2396   2420 -27839 10854
		1306 261 -2611   2420 -27839 10854
		1306 276 -2596   4702 -382 23293
		169 276 -2350   4702 -382 23293
	)


	ShadedColor( 0A f0 )
	ShadedPoly( m 184 32740 -1310 403.486312   1 2 3 4 )
	ShadedPoly( m 200 -32743 -1228 -154.983978   5 6 3 4 )
	ShadedPoly( m 4640 -22936 22936 -1825.396039   5 6 7 8 )
	ShadedPoly( m 4765 22172 23651 -1497.098727   1 2 7 8 )
Return

:pt_tail
;port horizontal stabilizer
	VecPoints( 1
		-169 307 -2396   -2474 27456 11170
		-1306 292 -2611   -2474 27456 11170
		-1306 276 -3011   -192 -1 -1269
		-61 276 -3087   -192 -1 -1269
		-169 246 -2396   -2420 -27839 10854
		-1306 261 -2611   -2420 -27839 10854
		-1306 276 -2596   -4702 -382 23293
		-169 276 -2350   -4702 -382 23293
	)


	ShadedColor( 0A f0 )
	ShadedPoly( m -184 32740 -1310 403.483810   1 2 3 4 )
	ShadedPoly( m -200 -32743 -1228 -154.994049   5 6 3 4 )
	ShadedPoly( m -4640 -22936 22936 -1825.383831   5 6 7 8 )
	ShadedPoly( m -4765 22172 23651 -1497.107059   1 2 7 8 )
Return

EndA

