;ASDesign Compatible Macro
;Name=Cessna-Yellow, Type=Aircraft, Bitmap=Cessnayellow.bmp, \
;FixedLength=11, FixedWidth=13, \
;Latitude, Longitude, Rotation,  Density=0, \
;Visibility=0, Range=5, Elevation=0
;
;Copyright 1998 by Tim Dickens-All Rights Reserved
;
Area( 5 %1  %2 %6 )
IfVarRange(  :  0346  %4  4  )
	PerspectiveCall( :P0 )
	Jump( : )
:P0
	Perspective
mif( %7 )
	RefPoint( 2 :P1  1  %1  %2  E= %7 v1= %5 v2= 50 )
melse
	RefPoint( 7 :P1  1  %1  %2  v1= %5 v2= 50 )
mifend
	SetScaleX( :P1 0 0 7 )
	TransformCall( :cessna  0  522  0  -10  0  0  0  %3  0 )
:P1
	Return
:cessna
Call( :underneath )
Call( :plane )
Return

:underneath
Points( 0
0  0  2611
0  1000  2611
0  100  -3057
)
VectorJump( :Westgear a  0  1  2 )
:Eastgear
Call( :tail_wheel )
Call( :tail_strut )
Call( :star_gear )
Call( :star_strut )
Call( :port_strut )
Jump( :pt_gear )
Return

:Westgear
Call( :tail_wheel )
Call( :tail_strut )
Call( :pt_gear )
Call( :port_strut )
Call( :star_strut )
Jump( :star_gear )
Return


:plane
Points( 0
0  0  2611
0  1000  2611
0  1000  -3057

-2719  0  522
-2719  2000  522
2719  2000  522

-2719  0  1306
-2719  2000  1306
2719  2000  1306

)

VectorJump( :Westside a  0  1  2 )
:Eastside
Call( :star_wing )
Call( :fuselage )
Jump( :port_wing )
Return

:Westside
Call( :port_wing )
Call( :fuselage )
Jump( :star_wing )
Return

:fuselage
VectorJump( :northofwing a  3  4  5 )
:southofwing
Call( :tail )
Call( :center )
Jump( :nose )
Return

:northofwing
Call( :nose )
Call( :center )
Jump( :tail )
Return

:nose
VectorJump( :northofprop a  6  7  8 )
:southofprop
Call( :fore_fuselage )
Jump( :prop )
Return

:northofprop
Call( :prop )
Jump( :fore_fuselage  )
Return

:tail
VectorJump(  :left_tail  a  0  1  2 )
:right_tail
Call( :st_tail )
Call( :rear_fuselage )
Jump( :pt_tail )
Return

:left_tail
Call( :pt_tail )
Call( :rear_fuselage )
Jump( :st_tail )
Return



:star_strut
;starboard gear strut
	Points( 1
		261 -276 584
		522 -538 584
		522 -599 584
		522 -599 568
		522 -538 568
		323 -338 538
		261 -276 538
	)
	SurfaceColor( 03 F0 )
	ConcavePoly
	Poly( m 5687 0 -32270 -484.540941   1 2 3 4 5 6 7 )
	ConcavePoly
	Poly( m -5687 0 32270 484.544389   1 2 3 4 5 6 7 )
Return

:port_strut
;port gear strut
	Points( 1
		-261 -276 584
		-522 -538 584
		-522 -599 584
		-522 -599 568
		-522 -538 568
		-323 -338 538
		-261 -276 538
	)
	SurfaceColor( 03 F0 )
	ConcavePoly
	Poly( m 5687 0 32270 484.540941   1 2 3 4 5 6 7 )
	ConcavePoly
	Poly( m -5687 0 -32270 -484.544389   1 2 3 4 5 6 7 )
Return

:tail_strut
;tail gear strut
	Points( 1
		0 77 -2150
		0 77 -2304
		0 92 -2304
		0 92 -2335
		0 77 -2365
		31 46 -2412
		31 0 -2473
		31 -15 -2458
		31 31 -2396
		0 46 -2350
		-31 31 -2396
		-31 -15 -2458
		-31 0 -2473
		-31 46 -2412
		0 61 -2304
		0 31 -1874
	)
	SurfaceColor( 03 F0 )
	ConcavePoly
	Poly( m 19286 -26488 373 -46.392102   1 2 3 4 5 6 7 8 9 10 11 12 13 14 5 10 15 16 )
	ConcavePoly
	Poly( m -19286 26488 -373 46.396008   1 2 3 4 5 6 7 8 9 10 11 12 13 14 5 10 15 16 )
Return


:tail_wheel
Points( 0
0  0  -2550
0  92  -2550
0  92  -2458
0  0  -2458
)
Bitmap( pipyelow.r8  0  0  0  0 )
BitmapMode( 1 )
Inst_7D
TexPoly(  a  0  116 53   1  116 0    2  171 0    3  171 53 )
Inst_7D
TexPoly(  ai  0  116 53   1  116 0    2  171 0    3  171 53 )
BitmapMode( 0 )
Return

:star_gear
Points( 0
538  -599  461
538  -384  461
538  -384  676
538  -599  676
)
Bitmap( pipyelow.r8  0  0  0  0 )
BitmapMode( 1 )
Inst_7D
TexPoly(  a  0  116 53   1  116 0    2  171 0    3  171 53 )
Inst_7D
TexPoly(  ai  0  116 53   1  116 0    2  171 0    3  171 53 )
BitmapMode( 0 )
Return

:pt_gear
Points( 0
-538  -599  461
-538  -384  461
-538  -384  676
-538  -599  676
)
Bitmap( pipyelow.r8  0  0  0  0 )
BitmapMode( 1 )
Inst_7D
TexPoly(  a  0  116 53   1  116 0    2  171 0    3  171 53 )
Inst_7D
TexPoly(  ai  0  116 53   1  116 0    2  171 0    3  171 53 )
BitmapMode( 0 )
Return


:prop
	Points( 1
		-77 -15 1352
		-230 -77 1352
		-461 -230 1352
		-445 -261 1352
		-200 -138 1336
		-61 -46 1352
		77 -15 1352
		230 -77 1336
		461 -230 1352
		445 -261 1352
		200 -138 1352
		61 -46 1352
		-15 61 1352
		-31 230 1336
		-15 522 1352
		15 522 1352
		31 230 1352
		15 61 1352
		0  0  -1352
		0  500  -1352
		0  500  1352
	)
;VectorJump( :Westprop a  19  20  21 )
;:Eastprop
;Call( :star_prop )
;Call( :hub )
;Jump( :port_prop )
;Return

;:Westprop
;Call( :port_prop )
;Call( :hub )
;Call( :star_prop )
;Return

;:port_prop
	SurfaceColor( 01 F0 )
	LineColor( 00 F0 )
	ConcavePoly
	Poly( m 0 0 -32767 -1352.000000   1 2 3 4 5 6 )
	ConcavePoly
	Poly( m 0 0 32767 1352.000000   1 2 3 4 5 6 )
	ConcavePoly
	Poly( m 0 0 -32767 -1352.000000   13 14 15 16 17 18 )
	ConcavePoly
	Poly( m 0 0 32767 1352.000000   13 14 15 16 17 18 )
;Return

;:star_prop
	SurfaceColor( 01 F0 )
	LineColor( 00 F0 )
	ConcavePoly
	Poly( m 0 0 -32767 -1352.000000   7 8 9 10 11 12 )
	ConcavePoly
	Poly( m 0 0 32767 1352.000000   7 8 9 10 11 12 )
;Return

;:hub
;prop piston
	VecPoints( 1
		0 77 1306   5 20548 -6696
		54 61 1306   13074 14064 -6746
		77 0 1306   20065 -4 -6760
		54 -61 1306   13080 -14050 -6710
		0 -77 1306   -5 -20548 -6696
		-54 -61 1306   -13074 -14064 -6746
		-77 0 1306   -20065 4 -6760
		-54 61 1306   -13080 14050 -6710
		0 0 1521   0 0 12619
		0 61 1382   4 29947 9548
		-43 49 1382   -18948 20417 9468
		-61 0 1382   -29268 3 9361
		-43 -49 1382   -18943 -20427 9441
		0 -61 1382   -4 -29947 9548
		43 -49 1382   18948 -20417 9468
		61 0 1382   29268 -3 9361
		43 49 1382   18943 20427 9441
	)
	ShadedColor( 03 F0 )
	ShadedPoly( m 0 0 -32767 -1306.000000   1 2 3 4 5 6 7 8 )
	ShadedColor( 04 F0 )
	ShadedPoly( m -8113 29071 12758 592.209174   9 10 11 )
	ShadedPoly( m -28439 10447 12480 579.304788   9 11 12 )
	ShadedPoly( m -28439 -10447 12480 579.304788   9 12 13 )
	ShadedPoly( m -8113 -29071 12758 592.209174   9 13 14 )
	ShadedPoly( m 8113 -29071 12758 592.209174   9 14 15 )
	ShadedPoly( m 28439 -10447 12480 579.304788   9 15 16 )
	ShadedPoly( m 28439 10447 12480 579.304788   9 16 17 )
	ShadedPoly( m 8113 29071 12758 592.209174   9 17 10 )
	ShadedPoly( m -9125 30796 6483 330.761498   10 1 8 11 )
	ShadedPoly( m -30115 11355 6152 315.970458   11 8 7 12 )
	ShadedPoly( m -30082 -11342 6333 323.105808   12 7 6 13 )
	ShadedPoly( m -9141 -30850 6194 319.370739   13 6 5 14 )
	ShadedPoly( m 9125 -30796 6483 330.761498   14 5 4 15 )
	ShadedPoly( m 30115 -11355 6152 315.970458   15 4 3 16 )
	ShadedPoly( m 30082 11342 6333 323.105808   16 3 2 17 )
	ShadedPoly( m 9141 30850 6194 319.370739   17 2 1 10 )
Return

:star_wing
Points( 0
-2000  0  1244
-2000  800  1244
2000  800  1244
)
VectorJump( :fore_stwing  a  0  1  2 )
:aft_stwing
Call( :st_flap )
Jump( :st_wing )
Return

:fore_stwing
Call( :st_wing )
Jump( :st_flap )
Return

:st_flap
;starboard flap hinge
	Points( 1
		307 353 -108
		1244 399 -108
		1244 353 -108
		307 307 -108
	)
	SurfaceColor( 04 F0 )
	ConcavePoly
	Poly( m 0 0 -32767 108.000000   1 2 3 4 )
	ConcavePoly
	Poly( m 0 0 32767 -108.000000   1 2 3 4 )
;starboard flap
	VecPoints( 1
		307 292 -108   -11598 13775 -1366
		307 154 -200   -10815 -2178 -1921
		1244 200 -200   11029 -2178 -1921
		1244 338 -108   10246 13775 -1366
		307 261 -77   -10897 -516 14882
		1244 307 -77   10947 -516 14882
	)
	ShadedColor( 04 F0 )
	ShadedPoly( m -892 18169 -27254 243.383648   1 2 3 4 )
	ShadedPoly( m -1137 23156 23156 119.371685   5 1 4 6 )
	ShadedPoly( m 1213 -24705 21491 -235.920927   5 2 3 6 )
	ShadedPoly( m -32767 0 0 -307.000000   5 1 2 )
	ShadedPoly( m 32767 0 0 1244.000000   6 4 3 )
Return

:port_wing
Points( 0
-2000  0  1244
-2000  800  1244
2000  800  1244
)
VectorJump( :fore_ptwing  a  0  1  2 )
:aft_ptwing
Call( :pt_flap )
Jump( :pt_wing )
Return

:fore_ptwing
Call( :pt_wing )
Jump( :pt_flap )
Return

:pt_flap
;port flap hinge
	Points( 1
		-307 353 -108
		-1244 399 -108
		-1244 353 -108
		-307 307 -108
	)
	SurfaceColor( 04 F0 )
	ConcavePoly
	Poly( m 0 0 32767 -108.000000   1 2 3 4 )
	ConcavePoly
	Poly( m 0 0 -32767 108.000000   1 2 3 4 )

;port flap
	VecPoints( 1
		-307 292 -108   11598 13775 -1366
		-307 154 -200   10815 -2178 -1921
		-1244 200 -200   -11029 -2178 -1921
		-1244 338 -108   -10246 13775 -1366
		-307 261 -77   10897 -516 14882
		-1244 307 -77   -10947 -516 14882
	)
	ShadedColor( 04 F0 )
	ShadedPoly( m 892 18169 -27254 243.383160   1 2 3 4 )
	ShadedPoly( m 1137 23156 23156 119.377575   5 1 4 6 )
	ShadedPoly( m -1213 -24705 21491 -235.915036   5 2 3 6 )
	ShadedPoly( m 32767 0 0 -307.000000   5 1 2 )
	ShadedPoly( m -32767 0 0 1244.000000   6 4 3 )
Return


:st_wing
;starboard wing underneath
	VecPoints( 1
		276 307 307   1493 -32565 2336
		276 338 522   1438 -32400 4672
		614 353 522   1561 -32405 4597
		614 323 307   1594 -32598 1838
		922 369 522   1596 -32403 4596
		922 338 307   1578 -32566 2298
		614 323 -108   1649 -32725 0
		922 338 -108   1559 -32730 0
		1244 353 307   1324 -32572 2336
		1244 353 -108   1350 -32739 0
		1244 384 522   1299 -32405 4672
		1690 399 522   1709 -32392 4595
		1690 369 307   1681 -32557 2297
		1244 353 0   1175 -32746 0
		1690 369 31   1653 -32722 0
		1244 353 -276   1175 -32746 0
		1690 369 -215   1653 -32722 0
		2150 399 61   2066 -32702 0
		2150 399 -138   2066 -32702 0
		2150 399 307   2146 -32521 2381
		2150 430 507   2226 -32341 4762
		2657 461 492   2124 -32312 5008
		2657 430 307   2062 -32509 2504
		2657 430 92   2000 -32706 0
		2657 430 -46   2000 -32706 0
		276 307 154   1084 -32740 0
		307 307 -108   852 -32745 0
		307 307 -276   0 -32767 0
		246 307 -276   0 -32767 0
	)
	ShadedColor( 04 F0 )
	ShadedPoly( m 1438 -32400 4672 -247.672475   1 2 3 4 )
	ShadedPoly( m 1684 -32410 4522 -245.556749   4 3 5 6 )
	ShadedPoly( m 1594 -32728 0 -292.745628   7 4 6 8 )
	ShadedPoly( m 1525 -32732 0 -294.726279   8 6 9 10 )
	ShadedPoly( m 1509 -32397 4671 -247.962584   6 5 11 9 )
	ShadedPoly( m 1090 -32414 4674 -264.023499   9 11 12 13 )
	ShadedPoly( m 1175 -32746 0 -308.161382   14 9 13 15 )
	ShadedPoly( m 1175 -32746 0 -308.161382   16 10 14 15 17 )
	ShadedPoly( m 2132 -32698 0 -258.269051   17 15 18 19 )
	ShadedPoly( m 2132 -32698 0 -258.269051   15 13 20 18 )
	ShadedPoly( m 2329 -32371 4517 -202.095431   13 12 21 20 )
	ShadedPoly( m 2124 -32312 5008 -207.172704   20 21 22 23 )
	ShadedPoly( m 2000 -32706 0 -267.024140   18 20 23 24 )
	ShadedPoly( m 2000 -32706 0 -267.024140   19 18 24 25 )
	ShadedPoly( m 1549 -32730 0 -293.605945   4 26 1 )
	ShadedPoly( m 1705 -32723 0 -290.613300   4 7 27 26 )
	ShadedPoly( m 0 -32767 0 -307.000000   26 27 28 29 )

;starboard wing on top
	VecPoints( 1
		246 307 -276   -6429 31508 -6293
		276 399 154   -2749 32110 -5135
		307 353 -108   -3402 31886 -6001
		307 307 -276   -6429 31508 -6293
		276 384 461   -1417 31941 7138
		276 369 522   -705 15895 20292
		614 384 522   -742 15949 20049
		614 430 307   -1035 32188 1207
		922 399 522   -792 16099 19263
		922 430 307   -1623 32379 313
		614 369 -108   -187 32341 -5237
		922 384 -108   -1711 32404 -4177
		1244 430 0   -1372 32319 -3956
		1244 399 -108   -915 31827 -7094
		1244 415 522   -675 16206 18682
		1244 445 307   -1349 32556 1500
		1690 430 522   -232 16213 18679
		1690 461 307   -1057 32526 986
		1690 430 31   -532 32135 -5544
		1244 353 -276   50 31604 -8653
		1690 369 -215   51 31631 -8525
		2150 445 61   -791 32190 -5753
		2150 399 -138   -539 31860 -7632
		2150 476 307   -966 32456 485
		2150 445 507   64 16197 18798
		2657 461 492   48 16184 18885
		2657 492 307   -949 32431 461
		2657 461 92   -790 32207 -5737
		2657 430 -46   -556 31921 -7379
		2150 430 507   1018 0 32751
		1690 399 522   534 0 32758
		1244 384 522   0 0 32767
		922 369 522   0 0 32767
		614 353 522   0 0 32767
		276 338 522   0 0 32767
		276 415 307   -1434 32325 1527
	)
	ShadedColor( 04 F0 )
	ShadedPoly( m -6429 31508 -6293 299.944761   1 2 3 4 )
	ShadedPoly( m -1411 31790 7817 470.643056   5 6 7 8 )
	ShadedPoly( m -1559 32006 6848 454.960479   8 7 9 10 )
	ShadedPoly( m 0 32419 -4765 380.786493   11 8 10 12 )
	ShadedPoly( m -3423 32389 -3590 295.086215   12 10 13 14 )
	ShadedPoly( m -1610 32392 4671 423.540056   10 9 15 16 )
	ShadedPoly( m -1091 32435 4526 441.476272   16 15 17 18 )
	ShadedPoly( m -1173 32707 -1598 384.679647   13 16 18 19 )
	ShadedPoly( m 50 31604 -8653 415.254372   20 14 21 )
	ShadedPoly( m -523 31800 -7885 382.873165   21 19 22 23 )
	ShadedPoly( m -1061 32545 -3655 368.906369   19 18 24 22 )
	ShadedPoly( m -905 32419 4674 453.219001   18 17 25 24 )
	ShadedPoly( m -873 32369 5017 459.941801   24 25 26 27 )
	ShadedPoly( m -1025 32494 -4095 366.413923   22 24 27 28 )
	ShadedPoly( m -556 31921 -7379 383.293588   23 22 28 29 )
	ShadedPoly( m 969 0 32753 570.364116   25 30 26 )
	ShadedPoly( m 1068 0 32750 576.812647   17 31 30 25 )
	ShadedPoly( m 0 0 32767 522.000000   15 32 31 17 )
	ShadedPoly( m 0 0 32767 522.000000   9 33 32 15 )
	ShadedPoly( m 0 0 32767 522.000000   7 34 33 9 )
	ShadedPoly( m 0 0 32767 522.000000   6 35 34 7 )
	ShadedPoly( m 628 31489 -9039 437.072512   14 13 19 21 )
	ShadedPoly( m -375 32264 -5709 362.884579   3 2 8 11 )
	ShadedPoly( m -1445 32558 -3405 368.280648   2 36 8 )
	ShadedPoly( m -1424 32092 6460 454.981414   36 5 8 )
	ShadedPoly( m -1523 32693 -1597 371.212043   10 16 13 )
Return

:pt_wing
;port wing underneath
	VecPoints( 1
		-276 307 307   -1493 -32565 2336
		-276 338 522   -1438 -32400 4672
		-614 353 522   -1561 -32405 4597
		-614 323 307   -1594 -32598 1838
		-922 369 522   -1596 -32403 4596
		-922 338 307   -1578 -32566 2298
		-614 323 -108   -1649 -32725 0
		-922 338 -108   -1559 -32730 0
		-1244 353 307   -1324 -32572 2336
		-1244 353 -108   -1350 -32739 0
		-1244 384 522   -1299 -32405 4672
		-1690 399 522   -1709 -32392 4595
		-1690 369 307   -1681 -32557 2297
		-1244 353 0   -1175 -32746 0
		-1690 369 31   -1653 -32722 0
		-1244 353 -276   -1175 -32746 0
		-1690 369 -215   -1653 -32722 0
		-2150 399 61   -2066 -32702 0
		-2150 399 -138   -2066 -32702 0
		-2150 399 307   -2146 -32521 2381
		-2150 430 507   -2226 -32341 4762
		-2657 461 492   -2124 -32312 5008
		-2657 430 307   -2062 -32509 2504
		-2657 430 92   -2000 -32706 0
		-2657 430 -46   -2000 -32706 0
		-276 307 154   -1084 -32740 0
		-307 307 -108   -852 -32745 0
		-307 307 -276   0 -32767 0
		-246 307 -276   0 -32767 0
	)
	ShadedColor( 04 F0 )
	ShadedPoly( m -1438 -32400 4672 -247.676260   1 2 3 4 )
	ShadedPoly( m -1684 -32410 4522 -245.558031   4 3 5 6 )
	ShadedPoly( m -1594 -32728 0 -292.746605   7 4 6 8 )
	ShadedPoly( m -1525 -32732 0 -294.728416   8 6 9 10 )
	ShadedPoly( m -1509 -32397 4671 -247.959563   6 5 11 9 )
	ShadedPoly( m -1090 -32414 4674 -264.023682   9 11 12 13 )
	ShadedPoly( m -1175 -32746 0 -308.164861   14 9 13 15 )
	ShadedPoly( m -1175 -32746 0 -308.164861   16 10 14 15 17 )
	ShadedPoly( m -2132 -32698 0 -258.262337   17 15 18 19 )
	ShadedPoly( m -2132 -32698 0 -258.262337   15 13 20 18 )
	ShadedPoly( m -2329 -32371 4517 -202.098758   13 12 21 20 )
	ShadedPoly( m -2124 -32312 5008 -207.172826   20 21 22 23 )
	ShadedPoly( m -2000 -32706 0 -267.027619   18 20 23 24 )
	ShadedPoly( m -2000 -32706 0 -267.027619   19 18 24 25 )
	ShadedPoly( m -1549 -32730 0 -293.609546   4 26 1 )
	ShadedPoly( m -1705 -32723 0 -290.617359   4 7 27 26 )
	ShadedPoly( m 0 -32767 0 -307.000000   26 27 28 29 )
;port wing on top
	VecPoints( 1
		-246 307 -276   6429 31508 -6293
		-276 399 154   2749 32110 -5135
		-307 353 -108   3402 31886 -6001
		-307 307 -276   6429 31508 -6293
		-276 384 461   1417 31941 7138
		-276 369 522   705 15895 20292
		-614 384 522   742 15949 20049
		-614 430 307   1035 32188 1207
		-922 399 522   792 16099 19263
		-922 430 307   1623 32379 313
		-614 369 -108   187 32341 -5237
		-922 384 -108   1711 32404 -4177
		-1244 430 0   1372 32319 -3956
		-1244 399 -108   915 31827 -7094
		-1244 415 522   675 16206 18682
		-1244 445 307   1349 32556 1500
		-1690 430 522   232 16213 18679
		-1690 461 307   1057 32526 986
		-1690 430 31   532 32135 -5544
		-1244 353 -276   -50 31604 -8653
		-1690 369 -215   -51 31631 -8525
		-2150 445 61   791 32190 -5753
		-2150 399 -138   539 31860 -7632
		-2150 476 307   966 32456 485
		-2150 445 507   -64 16197 18798
		-2657 461 492   -48 16184 18885
		-2657 492 307   949 32431 461
		-2657 461 92   790 32207 -5737
		-2657 430 -46   556 31921 -7379
		-2150 430 507   -1018 0 32751
		-1690 399 522   -534 0 32758
		-1244 384 522   0 0 32767
		-922 369 522   0 0 32767
		-614 353 522   0 0 32767
		-276 338 522   0 0 32767
		-276 415 307   1434 32325 1527
	)
	ShadedColor( 04 F0 )
	ShadedPoly( m 6429 31508 -6293 299.943999   1 2 3 4 )
	ShadedPoly( m 1411 31790 7817 470.640584   5 6 7 8 )
	ShadedPoly( m 1559 32006 6848 454.959319   8 7 9 10 )
	ShadedPoly( m 0 32419 -4765 380.789056   11 8 10 12 )
	ShadedPoly( m 3423 32389 -3590 295.085238   12 10 13 14 )
	ShadedPoly( m 1610 32392 4671 423.538987   10 9 15 16 )
	ShadedPoly( m 1091 32435 4526 441.475631   16 15 17 18 )
	ShadedPoly( m 1173 32707 -1598 384.684927   13 16 18 19 )
	ShadedPoly( m -50 31604 -8653 415.258370   20 14 21 )
	ShadedPoly( m 523 31800 -7885 382.871944   21 19 22 23 )
	ShadedPoly( m 1061 32545 -3655 368.913388   19 18 24 22 )
	ShadedPoly( m 905 32419 4674 453.212775   18 17 25 24 )
	ShadedPoly( m 873 32369 5017 459.941771   24 25 26 27 )
	ShadedPoly( m 1025 32494 -4095 366.419202   22 24 27 28 )
	ShadedPoly( m 556 31921 -7379 383.294809   23 22 28 29 )
	ShadedPoly( m -969 0 32753 570.363750   25 30 26 )
	ShadedPoly( m -1068 0 32750 576.813562   17 31 30 25 )
	ShadedPoly( m 0 0 32767 522.000000   15 32 31 17 )
	ShadedPoly( m 0 0 32767 522.000000   9 33 32 15 )
	ShadedPoly( m 0 0 32767 522.000000   7 34 33 9 )
	ShadedPoly( m 0 0 32767 522.000000   6 35 34 7 )
	ShadedPoly( m -628 31489 -9039 437.067202   14 13 19 21 )
	ShadedPoly( m 375 32264 -5709 362.883602   3 2 8 11 )
	ShadedPoly( m 1445 32558 -3405 368.278298   2 36 8 )
	ShadedPoly( m 1424 32092 6460 454.983489   36 5 8 )
	ShadedPoly( m 1523 32693 -1597 371.208167   10 16 13 )
Return

:fore_fuselage
;forward fuselage
	VecPoints( 1
		0 -323 614   0 -32767 0
		0 -323 922   0 -32275 3986
		184 -323 922   6950 -30037 5611
		184 -323 614   7327 -31037 0
		-184 -323 922   -6950 -30037 5611
		-184 -323 614   -7327 -31037 0
		0 -246 1229   0 -22942 16637
		0 108 1290   0 14538 20247
		154 77 1290   12026 15448 16652
		154 -154 1275   11850 -11883 22441
		0 -154 1275   0 -8388 31001
		-154 77 1290   -12026 15448 16652
		-154 -154 1275   -11850 -11883 22441
		230 0 1229   26257 5681 13704
		230 -61 1229   26348 -4986 14446
		-230 0 1229   -26257 5681 13704
		-230 -61 1229   -26348 -4986 14446
		276 0 614   32767 0 0
		276 0 922   32767 0 0
		276 -246 922   25618 -12473 8202
		276 -246 614   30106 -8950 0
		-276 0 614   -32767 0 0
		-276 0 922   -32767 0 0
		-276 -246 922   -25618 -12473 8202
		-276 -246 614   -30106 -8950 0
		276 123 614   23699 11505 10464
		276 123 922   20260 18141 4526
		-276 123 614   -23699 11505 10464
		-276 123 922   -20260 18141 4526
		246 -292 922   19293 -21950 8546
		-246 -292 922   -19293 -21950 8546
		215 323 614   11442 17474 19730
		154 276 691   14073 17349 19626
		-215 323 614   -11442 17474 19730
		-154 276 691   -14073 17349 19626
		154 184 737   13074 25278 9435
		-154 184 737   -13074 25278 9435
		0 323 614   0 27968 17072
		0 276 691   0 26341 18325
		0 215 768   0 27987 11312
		0 200 922   0 31229 5422
		154 154 922   7874 31239 5611
		-154 154 922   -7874 31239 5611
		246 -292 614   21050 -23604 0
		-246 -292 614   -21050 -23604 0
	)
	Bitmap( pipyelow.r8 0 0 0 0 )
	ShadedTexPoly( m 0 -32767 0 323.00		1 128 197		2 128 224		3 128 224		4 128 197	)
	ShadedTexPoly( m 0 -32767 0 323.00		1 128 197		2 128 224		5 128 224		6 128 197	)
	ShadedTexPoly( m 0 -31783 7972 537.61		2 128 224		7 141 250		3 128 224	)
	ShadedTexPoly( m 0 -31783 7972 537.61		2 128 224		7 141 250		5 128 224	)
	ShadedTexPoly( m -427 -2123 32695 1280.14		8 74 255		9 69 255		10 29 254		11 29 254	)
	ShadedTexPoly( m 427 -2123 32695 1280.13		8 202 255		12 197 255		13 157 254		11 157 254	)
	ShadedTexPoly( m 20510 0 25554 1102.40		9 197 255		14 184 250		15 173 250		10 157 254	)
	ShadedTexPoly( m -20510 0 25554 1102.40		12 69 255		16 56 250		17 45 250		13 29 254	)
	ShadedTexPoly( m 0 -14654 29308 1209.25		7 141 250		11 157 254		10 157 254	)
	ShadedTexPoly( m 0 -14654 29308 1209.25		11 157 254		13 157 254		7 141 250	)
	ShadedTexPoly( m 32767 0 0 276.00		18 184 197		19 184 224		20 141 224		21 141 197	)
	ShadedTexPoly( m -32767 0 0 276.00		22 56 197		23 56 224		24 13 224		25 13 197	)
	ShadedTexPoly( m 32767 0 0 276.00		26 205 197		27 205 224		19 184 224		18 184 197	)
	ShadedTexPoly( m -32767 0 0 276.00		28 77 197		29 77 224		23 56 224		22 56 197	)
	ShadedTexPoly( m 32405 0 4856 409.58		27 205 224		14 184 250		15 173 250		20 141 224	)
	ShadedTexPoly( m -32405 0 4856 409.59		29 77 224		16 56 250		17 45 250		24 13 224	)
	ShadedTexPoly( m 26130 -14958 12929 696.17		15 173 250		10 157 254		20 141 224	)
	ShadedTexPoly( m -26130 -14958 12929 696.17		17 45 250		13 29 254		24 13 224	)
	ShadedTexPoly( m 13037 -27683 11720 647.40		10 157 254		7 141 250		20 141 224	)
	ShadedTexPoly( m -13037 -27683 11720 647.41		13 29 254		7 13 250		24 13 224	)
	ShadedTexPoly( m 21925 -14299 19711 846.64		20 141 224		7 141 250		30 133 224	)
	ShadedTexPoly( m -21925 -14299 19711 846.64		24 13 224		7 13 250		31 5 224	)
	ShadedTexPoly( m 13147 -26293 14474 740.26		30 133 224		7 141 250		3 128 224	)
	ShadedTexPoly( m -13147 -26293 14474 740.26		31 5 224		7 13 250		5 0 224	)
	ShadedTexPoly( m 22884 6980 22389 638.48		32 239 197		33 231 204		26 205 197	)
	ShadedTexPoly( m -22884 6980 22389 638.47		34 111 197		35 103 204		28 77 197	)
	ShadedTexPoly( m 24494 9734 19467 607.62		33 231 204		36 215 208		26 205 197	)
	ShadedTexPoly( m -24494 9734 19467 607.62		35 103 204		37 87 208		28 77 197	)
	ShadedTexPoly( m 0 27968 17072 595.58		38 239 197		39 231 204		33 231 204		32 239 197	)
	ShadedTexPoly( m 0 27968 17072 595.58		38 239 197		39 231 204		35 231 204		34 239 197	)
	ShadedTexPoly( m 8916 24715 19579 621.05		39 231 204		40 221 210		36 215 208		33 231 204	)
	ShadedTexPoly( m -8916 24715 19579 621.05		39 103 204		40 93 210		37 87 208		35 103 204	)
	ShadedTexPoly( m 9338 31260 3045 276.48		40 221 210		41 218 224		42 210 224		36 215 208	)
	ShadedTexPoly( m -9338 31260 3045 276.48		40 93 210		41 90 224		43 82 224		37 87 208	)
	ShadedTexPoly( m 6280 31199 7800 409.90		41 218 224		8 202 255		9 197 255		42 210 224	)
	ShadedTexPoly( m -6280 31199 7800 409.90		41 90 224		8 74 255		12 69 255		43 82 224	)
	ShadedTexPoly( m 27446 -17900 0 365.56		21 141 197		20 141 224		30 133 224		44 133 197	)
	ShadedTexPoly( m -27446 -17900 0 365.56		25 13 197		24 13 224		31 5 224		45 5 197	)
	ShadedTexPoly( m 14654 -29308 0 371.18		44 133 197		30 133 224		3 128 224		4 128 197	)
	ShadedTexPoly( m -14654 -29308 0 371.18		45 5 197		31 5 224		5 0 224		6 0 197	)
	ShadedTexPoly( m 14654 29308 0 233.45		27 205 224		26 205 197		36 215 208	)
	ShadedTexPoly( m -14654 29308 0 233.45		29 77 224		28 77 197		37 87 208	)
	ShadedTexPoly( m 7972 31373 5087 328.05		36 215 208		42 210 224		27 205 224	)
	ShadedTexPoly( m -7972 31373 5087 328.05		37 87 208		43 82 224		29 77 224	)
	ShadedTexPoly( m -25858 17043 10703 582.93		12 69 255		16 56 250		29 77 224	)
	ShadedTexPoly( m -7909 31124 6512 366.68		43 82 224		12 69 255		29 77 224	)
	ShadedTexPoly( m 7909 31124 6512 366.68		42 210 224		9 197 255		27 205 224	)
	ShadedTexPoly( m 25858 17043 10703 582.93		9 197 255		14 184 250		27 205 224	)
Return

:center
;main fuselage
	VecPoints( 1
		0 0 -1690   0 -32143 -6366
		0 -61 -1382   0 -32230 -5888
		77 -61 -1382   12814 -25611 -5839
		61 0 -1690   16539 -24340 -5821
		-77 -61 -1382   -12814 -25611 -5839
		-61 0 -1690   -16539 -24340 -5821
		0 -138 -922   0 -32362 -5125
		138 -138 -922   12817 -25680 -5440
		-138 -138 -922   -12817 -25680 -5440
		0 -184 -614   0 -32318 -5376
		154 -184 -614   10573 -28320 -5420
		-154 -184 -614   -10573 -28320 -5420
		0 -246 -276   0 -32335 -5257
		154 -246 -276   10083 -28812 -5207
		-154 -246 -276   -10083 -28812 -5207
		0 -307 154   0 -32515 -4005
		184 -307 154   6955 -29930 -4342
		-184 -307 154   -6955 -29930 -4342
		0 -323 307   0 -32678 -1704
		184 -323 307   8880 -29856 -2106
		-184 -323 307   -8880 -29856 -2106
		0 -323 614   0 -32767 0
		184 -323 614   7327 -31037 0
		-184 -323 614   -7327 -31037 0
		246 307 -276   25345 13378 -4085
		276 399 154   20838 14760 -3375
		276 0 154   32727 0 -1140
		246 0 -276   32659 0 -2637
		276 -215 154   28909 -8142 -2410
		246 -154 -276   28363 -10632 -3787
		-246 0 -276   -32659 0 -2637
		-276 0 154   -32727 0 -1140
		-276 -215 154   -28909 -8142 -2410
		-246 -154 -276   -28363 -10632 -3787
		-246 307 -276   -25345 13378 -4085
		-276 399 154   -20838 14760 -3375
		276 415 307   10922 21536 725
		276 384 461   10922 21314 4763
		276 369 522   14369 17166 10658
		276 338 522   28739 3768 10077
		276 123 614   28739 3768 10077
		276 0 614   32767 0 0
		276 -246 614   30106 -8950 0
		276 -246 307   27161 -14109 -1649
		-276 0 614   -32767 0 0
		-276 -246 614   -30106 -8950 0
		-276 -246 307   -27161 -14109 -1649
		-276 415 307   -10922 21536 725
		-276 384 461   -10922 21314 4763
		-276 369 522   -14369 17166 10658
		-276 338 522   -28739 3768 10077
		-276 123 614   -28739 3768 10077
		92 46 -1690   29702 -9031 -4338
		123 0 -1382   30307 -7080 -4638
		92 -46 -1382   26307 -18347 -5719
		-92 46 -1690   -29702 -9031 -4338
		-123 0 -1382   -30307 -7080 -4638
		-92 -46 -1382   -26307 -18347 -5719
		184 -61 -922   29761 -8849 -4735
		154 -108 -922   26307 -18348 -5716
		-184 -61 -922   -29761 -8849 -4735
		-154 -108 -922   -26307 -18348 -5716
		215 -108 -614   29722 -9040 -4163
		184 -154 -614   23988 -21201 -5327
		-215 -108 -614   -29722 -9040 -4163
		-184 -154 -614   -23988 -21201 -5327
		215 -200 -276   22117 -23277 -5048
		-215 -200 -276   -22117 -23277 -5048
		246 -292 307   21059 -24099 -2491
		246 -261 154   21069 -24594 -4983
		-246 -292 307   -21059 -24099 -2491
		-246 -261 154   -21069 -24594 -4983
		246 -292 614   21050 -23604 0
		-246 -292 614   -21050 -23604 0
		77 246 -1690   11521 27885 -2517
		108 261 -1382   11606 27772 -2775
		123 246 -1382   27877 11417 -3723
		92 230 -1690   27822 11521 -3361
		-77 246 -1690   -11521 27885 -2517
		-108 261 -1382   -11606 27772 -2775
		-123 246 -1382   -27877 11417 -3723
		-92 230 -1690   -27822 11521 -3361
		154 292 -922   10413 28790 -2467
		184 261 -922   26684 12434 -3415
		-154 292 -922   -10413 28790 -2467
		-184 261 -922   -26684 12434 -3415
		169 307 -614   9108 29856 -2733
		215 276 -614   25416 13516 -3155
		-169 307 -614   -9108 29856 -2733
		-215 276 -614   -25416 13516 -3155
		200 338 -276   9015 29657 -4588
		-200 338 -276   -9015 29657 -4588
		215 323 614   12356 18422 17404
		-215 323 614   -12356 18422 17404
		184 0 -922   32542 0 -3794
		-184 0 -922   -32542 0 -3794
		215 0 -614   32616 0 -3137
		-215 0 -614   -32616 0 -3137
		0 246 -1690   0 32728 -1594
		0 261 -1382   0 32710 -1898
		0 292 -922   0 32710 -1898
		0 307 -614   0 32679 -2293
		0 338 -276   0 32557 -3641
		0 415 307   0 32304 1088
		0 384 461   0 31971 7145
		0 369 522   0 30563 11239
		0 323 614   0 29308 14654
	)
	Bitmap( pipyelow.r8  0 0 0 0 )
	ShadedTexPoly( m 0 -32143 -6366 328.33		1 184 0		2 173 26		3 173 26		4 184 0	)
	ShadedTexPoly( m 0 -32143 -6366 328.33		1 184 0		2 173 26		5 173 26		6 184 0	)
	ShadedTexPoly( m 0 -32317 -5410 288.33		2 173 26		7 160 66		8 160 66		3 173 26	)
	ShadedTexPoly( m 0 -32317 -5410 288.33		2 173 26		7 160 66		9 160 66		5 173 26	)
	ShadedTexPoly( m 0 -32408 -4840 272.67		7 160 66		10 152 92		11 152 92		8 160 66	)
	ShadedTexPoly( m 0 -32408 -4840 272.67		7 160 66		10 152 92		12 152 92		9 160 66	)
	ShadedTexPoly( m 0 -32229 -5912 291.75		10 152 92		13 141 121		14 141 121		11 152 92	)
	ShadedTexPoly( m 0 -32229 -5912 291.76		10 152 92		13 141 121		15 141 121		12 152 92	)
	ShadedTexPoly( m 0 -32442 -4602 282.32		13 141 121		16 131 158		17 131 158		14 141 121	)
	ShadedTexPoly( m 0 -32442 -4602 282.32		13 141 121		16 131 158		18 131 158		15 141 121	)
	ShadedTexPoly( m 0 -32589 -3408 289.31		16 131 158		19 128 171		20 128 171		17 131 158	)
	ShadedTexPoly( m 0 -32589 -3408 289.31		16 131 158		19 128 171		21 128 171		18 131 158	)
	ShadedTexPoly( m 0 -32767 0 323.00		19 128 171		22 128 197		23 128 197		20 128 171	)
	ShadedTexPoly( m 0 -32767 0 323.00		19 128 171		22 128 197		24 128 197		21 128 171	)
	ShadedTexPoly( m 32688 0 -2281 264.62		25 236 121		26 252 158		27 184 158		28 184 121	)
	ShadedTexPoly( m 32688 0 -2281 264.62		28 184 121		27 184 158		29 147 158		30 157 121	)
	ShadedTexPoly( m -32688 0 -2281 264.61		31 56 121		32 56 158		33 19 158		34 29 121	)
	ShadedTexPoly( m -32688 0 -2281 264.61		35 108 121		36 124 158		32 56 158		31 56 121	)
	ShadedTexPoly( m 32767 0 0 276.00		26 252 158		37 255 171		38 250 184		39 247 189		40 242 189		41 205 197		42 184 197		27 184 158	)
	ShadedTexPoly( m 32767 0 0 276.00		27 184 158		42 184 197		43 141 197		44 141 171		29 147 158	)
	ShadedTexPoly( m -32767 0 0 276.00		32 56 158		45 56 197		46 13 197		47 13 171		33 19 158	)
	ShadedTexPoly( m -32767 0 0 276.00		36 124 158		48 127 171		49 122 184		50 119 189		51 114 189		52 77 197		45 56 197		32 56 158	)
	ShadedTexPoly( m 26802 -18062 -5395 328.14		53 192 0		54 184 26		55 176 26		4 184 0	)
	ShadedTexPoly( m -26802 -18062 -5395 328.15		56 64 0		57 56 26		58 48 26		6 56 0	)
	ShadedTexPoly( m 27168 -17341 -5902 350.90		54 184 26		59 173 66		60 165 66		55 176 26	)
	ShadedTexPoly( m -27168 -17341 -5902 350.91		57 56 26		61 45 66		62 37 66		58 48 26	)
	ShadedTexPoly( m 26794 -18057 -5452 337.48		59 173 66		63 165 92		64 157 92		60 165 66	)
	ShadedTexPoly( m -26794 -18057 -5452 337.48		61 45 66		65 37 92		66 29 92		62 37 66	)
	ShadedTexPoly( m 26864 -18104 -4928 328.28		63 165 92		30 157 121		67 149 121		64 157 92	)
	ShadedTexPoly( m -26864 -18104 -4928 328.27		65 37 92		34 29 121		68 21 121		66 29 92	)
	ShadedTexPoly( m 21272 -24427 -4949 316.19		30 157 121		29 147 158		44 141 171		69 133 171		70 139 158		67 149 121	)
	ShadedTexPoly( m -21272 -24427 -4949 316.19		34 29 121		33 19 158		47 13 171		71 5 171		72 11 158		68 21 121	)
	ShadedTexPoly( m 27446 -17900 0 365.56		44 141 171		43 141 197		73 133 197		69 133 171	)
	ShadedTexPoly( m -27446 -17900 0 365.56		47 13 171		46 13 197		74 5 197		71 5 171	)
	ShadedTexPoly( m 22816 -22816 -5704 336.66		4 184 0		55 176 26		3 173 26	)
	ShadedTexPoly( m 28443 -15170 -5878 349.06		55 176 26		60 165 66		8 160 66		3 173 26	)
	ShadedTexPoly( m -28443 -15170 -5878 349.07		58 48 26		62 37 66		9 32 66		5 45 26	)
	ShadedTexPoly( m 22825 -22825 -5632 340.97		60 165 66		64 157 92		11 152 92		8 160 66	)
	ShadedTexPoly( m -22825 -22825 -5632 340.97		62 37 66		66 29 92		12 24 92		9 32 66	)
	ShadedTexPoly( m 19469 -25818 -5299 329.96		64 157 92		67 149 121		14 141 121		11 152 92	)
	ShadedTexPoly( m -19469 -25818 -5299 329.96		66 29 92		68 21 121		15 13 121		12 24 92	)
	ShadedTexPoly( m 20866 -24761 -5017 330.30		67 149 121		70 139 158		69 133 171		20 128 171		17 131 158		14 141 121	)
	ShadedTexPoly( m -20866 -24761 -5017 330.30		68 21 121		72 11 158		71 5 171		21 0 171		18 3 158		15 13 121	)
	ShadedTexPoly( m -22816 -22816 -5704 336.66		6 56 0		58 48 26		5 45 26	)
	ShadedTexPoly( m 14654 -29308 0 371.18		69 133 171		73 133 197		23 128 197		20 128 171	)
	ShadedTexPoly( m -14654 -29308 0 371.18		71 5 171		74 5 197		24 0 197		21 0 171	)
	ShadedTexPoly( m 23042 23042 -3441 404.60		75 226 0		76 228 26		77 226 26		78 223 0	)
	ShadedTexPoly( m -23042 23042 -3441 404.61		79 98 0		80 100 26		81 98 26		82 95 0	)
	ShadedTexPoly( m 23382 22628 -3863 420.23		76 228 26		83 234 66		84 228 66		77 226 26	)
	ShadedTexPoly( m -23382 22628 -3863 420.23		80 100 26		85 106 66		86 100 66		81 98 26	)
	ShadedTexPoly( m 18270 27111 -2210 389.64		83 234 66		87 236 92		88 231 92		84 228 66	)
	ShadedTexPoly( m -18270 27111 -2210 389.64		85 106 66		89 108 92		90 103 92		86 100 66	)
	ShadedTexPoly( m 18165 26955 -4138 423.77		87 236 92		91 242 121		25 236 121		88 231 92	)
	ShadedTexPoly( m 17898 26558 -6931 441.57		91 242 121		26 252 158		25 236 121	)
	ShadedTexPoly( m -17898 26558 -6931 441.57		92 114 121		36 124 158		35 108 121	)
	ShadedTexPoly( m -18165 26955 -4138 423.77		89 108 92		92 114 121		35 108 121		90 103 92	)
	ShadedTexPoly( m 24712 7537 20154 614.08		39 247 189		93 239 197		41 205 197		40 242 189	)
	ShadedTexPoly( m -24712 7537 20154 614.08		50 119 189		94 111 197		52 77 197		51 114 189	)
	ShadedTexPoly( m 32602 0 -3281 260.76		78 223 0		77 226 26		54 184 26		53 192 0	)
	ShadedTexPoly( m -32602 0 -3281 260.76		82 95 0		81 98 26		57 56 26		56 64 0	)
	ShadedTexPoly( m 32483 0 -4307 303.58		77 226 26		84 228 66		95 184 66		54 184 26	)
	ShadedTexPoly( m 32483 0 -4307 303.58		54 184 26		95 184 66		59 173 66	)
	ShadedTexPoly( m -32483 0 -4307 303.59		57 56 26		96 56 66		61 45 66	)
	ShadedTexPoly( m 32602 0 -3281 275.39		95 184 66		97 184 92		63 165 92		59 173 66	)
	ShadedTexPoly( m -32602 0 -3281 275.39		96 56 66		98 56 92		65 37 92		61 45 66	)
	ShadedTexPoly( m 32602 0 -3281 275.39		84 228 66		88 231 92		97 184 92		95 184 66	)
	ShadedTexPoly( m -32602 0 -3281 275.39		86 100 66		90 103 92		98 56 92		96 56 66	)
	ShadedTexPoly( m 32630 0 -2993 270.18		88 231 92		25 236 121		28 184 121		97 184 92	)
	ShadedTexPoly( m -32630 0 -2993 270.18		90 103 92		35 108 121		31 56 121		98 56 92	)
	ShadedTexPoly( m 32630 0 -2993 270.18		97 184 92		28 184 121		30 157 121		63 165 92	)
	ShadedTexPoly( m -32630 0 -2993 270.18		98 56 92		31 56 121		34 29 121		65 37 92	)
	ShadedTexPoly( m -32483 0 -4307 303.59		81 98 26		86 100 66		96 56 66		57 56 26	)
	ShadedTexPoly( m 0 32728 -1594 327.91		99 226 0		100 228 26		76 228 26		75 226 0	)
	ShadedTexPoly( m 0 32728 -1594 327.91		99 226 0		100 228 26		80 228 26		79 226 0	)
	ShadedTexPoly( m 0 32693 -2203 353.32		100 228 26		101 234 66		83 234 66		76 228 26	)
	ShadedTexPoly( m 0 32693 -2203 353.32		100 228 26		101 234 66		85 234 66		80 228 26	)
	ShadedTexPoly( m 0 32728 -1594 336.50		101 234 66		102 236 92		87 236 92		83 234 66	)
	ShadedTexPoly( m 0 32728 -1594 336.50		101 234 66		102 236 92		89 236 92		85 234 66	)
	ShadedTexPoly( m 0 32630 -2993 361.79		102 236 92		103 242 121		91 242 121		87 236 92	)
	ShadedTexPoly( m 0 32630 -2993 361.79		102 236 92		103 242 121		92 242 121		89 236 92	)
	ShadedTexPoly( m 0 32485 -4290 371.22		103 242 121		104 255 171		37 255 171		26 252 158		91 242 121	)
	ShadedTexPoly( m 0 32485 -4290 371.23		103 242 121		104 255 171		48 255 171		36 252 158		92 242 121	)
	ShadedTexPoly( m 0 32123 6466 467.42		104 255 171		105 250 184		38 250 184		37 255 171	)
	ShadedTexPoly( m 0 32123 6466 467.41		104 255 171		105 250 184		49 250 184		48 255 171	)
	ShadedTexPoly( m 0 31819 7824 482.96		105 250 184		106 247 189		39 247 189		38 250 184	)
	ShadedTexPoly( m 0 29308 14654 563.48		106 247 189		107 239 197		93 239 197		39 247 189	)
	ShadedTexPoly( m 0 29308 14654 563.48		106 247 189		107 239 197		94 239 197		50 247 189	)
	ShadedTexPoly( m 0 31819 7824 482.96		105 250 184		106 247 189		50 247 189		49 250 184	)
Return

:rear_fuselage
;tail section of fuselage
	VecPoints( 1
		0 77 -2150   0 -25122 -6041
		0 0 -1690   0 -32317 -5410
		61 0 -1690   13301 -25122 -6041
		-61 0 -1690   -13301 -25122 -6041
		0 230 -2381   0 18354 -2750
		77 246 -1690   11896 27532 -1963
		92 230 -1690   28136 11153 -3746
		0 138 -2304   0 -8964 -5498
		92 46 -1690   29541 -8964 -5498
		-92 46 -1690   -29541 -8964 -5498
		-77 246 -1690   -11896 27532 -1963
		-92 230 -1690   -28136 11153 -3746
		0 246 -1690   0 32758 -759
	)
ShadedColor( 09 f0 )
ConcavePoly
ShadedPoly( a  1  2  3 )
ShadedPoly( a  1  2  4 )
ShadedPoly( a  5  6  7 )
ShadedPoly( a  8  9  3  1 )
ShadedPoly( a  8  10  4  1 )
ShadedPoly( a  5  11  12 )
ShadedPoly( a  5  7  9  8 )
ShadedPoly( a  5  12  10  8 )
ShadedPoly( a  5  13  6 )
ShadedPoly( a  5  13  11 )


;forward portion of vertical stabilzer
	VecPoints( 1
		0 246 -1690   -32767 0 0
		0 246 -1690   32767 0 0
		0 261 -1382   -32767 0 0
		0 261 -1382   32767 0 0
		0 292 -922   -32767 0 0
		0 292 -922   32767 0 0
		0 476 -1690   -32767 0 0
		0 476 -1690   32767 0 0
	)
	ShadedColor( 09 f0 )
	ConcavePoly
	ShadedPoly( m -32767 0 0 0.000000   1 3 5 7 )
	ConcavePoly
	ShadedPoly( m 32767 0 0 0.000000   1 3 5 7 )
;vertical stabilizer

	VecPoints( 1
		0 476 -1690   32767 0 0
		0 476 -1690   -32767 0 0
		0 538 -1782   32767 0 0
		0 538 -1782   -32767 0 0
		0 614 -1843   32767 0 0
		0 614 -1843   -32767 0 0
		0 998 -1905   32767 0 0
		0 998 -1905   -32767 0 0
		0 998 -2074   32767 0 0
		0 998 -2074   -32767 0 0
		0 968 -2273   32767 0 0
		0 968 -2273   -32767 0 0
		0 230 -2381   32767 0 0
		0 230 -2381   -32767 0 0
		0 246 -1690   32767 0 0
		0 246 -1690   -32767 0 0
	)

	SurfaceColor( 09 f0 )
	ConcavePoly
	Poly( m 32767 0 0 0.000000   1 3 5 7 9 11 13 15 )
	ConcavePoly
	Poly( m -32767 0 0 0.000000   1 3 5 7 9 11 13 15 )
Return


:st_tail
;starboard horizontal stabilizer
	VecPoints( 1
		15 169 -2196   0 32767 0
		15 169 -2196   0 -32767 0
		138 169 -2319   0 32767 0
		138 169 -2319   0 -32767 0
		768 169 -2212   0 32767 0
		768 169 -2212   0 -32767 0
		829 169 -1997   0 32767 0
		829 169 -1997   0 -32767 0
		829 169 -1843   0 32767 0
		829 169 -1843   0 -32767 0
		768 169 -1797   0 32767 0
		768 169 -1797   0 -32767 0
		77 169 -1720   0 32767 0
		77 169 -1720   0 -32767 0
	)

	ShadedColor( 04 F0 )
	ConcavePoly
	ShadedPoly( m 0 32767 0 169.000000   1 3 5 7 9 11 13 )
	ConcavePoly
	ShadedPoly( m 0 -32767 0 -169.000000   1 3 5 7 9 11 13 )
Return

:pt_tail
;port horizontal stabilizer
	VecPoints( 1
		-15 169 -2196   0 -32767 0
		-15 169 -2196   0 32767 0
		-138 169 -2319   0 -32767 0
		-138 169 -2319   0 32767 0
		-768 169 -2212   0 -32767 0
		-768 169 -2212   0 32767 0
		-829 169 -1997   0 -32767 0
		-829 169 -1997   0 32767 0
		-829 169 -1843   0 -32767 0
		-829 169 -1843   0 32767 0
		-768 169 -1797   0 -32767 0
		-768 169 -1797   0 32767 0
		-77 169 -1720   0 -32767 0
		-77 169 -1720   0 32767 0
	)

	ShadedColor( 04 F0 )
	ConcavePoly
	ShadedPoly( m 0 -32767 0 -169.000000   1 3 5 7 9 11 13 )
	ConcavePoly
	ShadedPoly( m 0 32767 0 169.000000   1 3 5 7 9 11 13 )
Return

EndA


